/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file PubStatus_.hpp
/// Data storage class.
///
/// This file was generated by application DATATOOL
/// using the following specifications:
/// 'biblio.asn'.
///
/// ATTENTION:
///   Don't edit or commit this file into CVS as this file will
///   be overridden (by DATATOOL) without warning!

#ifndef OBJECTS_BIBLIO_PUBSTATUS_BASE_HPP
#define OBJECTS_BIBLIO_PUBSTATUS_BASE_HPP

// standard includes
#include <serial/serialbase.hpp>
BEGIN_NCBI_SCOPE

#ifndef BEGIN_objects_SCOPE
#  define BEGIN_objects_SCOPE BEGIN_SCOPE(objects)
#  define END_objects_SCOPE END_SCOPE(objects)
#endif
BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

/// Status Dates
/// points of publication
enum EPubStatus {
    ePubStatus_received     =   1,  ///< date manuscript received for review
    ePubStatus_accepted     =   2,  ///< accepted for publication
    ePubStatus_epublish     =   3,  ///< published electronically by publisher
    ePubStatus_ppublish     =   4,  ///< published in print by publisher
    ePubStatus_revised      =   5,  ///< article revised by publisher/author
    ePubStatus_pmc          =   6,  ///< article first appeared in PubMed Central
    ePubStatus_pmcr         =   7,  ///< article revision in PubMed Central
    ePubStatus_pubmed       =   8,  ///< article citation first appeared in PubMed
    ePubStatus_pubmedr      =   9,  ///< article citation revision in PubMed
    ePubStatus_aheadofprint =  10,  ///< epublish, but will be followed by print
    ePubStatus_premedline   =  11,  ///< date into PreMedline status
    ePubStatus_medline      =  12,  ///< date made a MEDLINE record
    ePubStatus_other        = 255
};

/// Access to EPubStatus's attributes (values, names) as defined in spec
NCBI_BIBLIO_EXPORT const NCBI_NS_NCBI::CEnumeratedTypeValues* ENUM_METHOD_NAME(EPubStatus)(void);


END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_BIBLIO_PUBSTATUS_BASE_HPP
