/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file Bla_com_opt_db_res_by_orga_.hpp
/// Data storage class.
///
/// This file was generated by application DATATOOL
/// using the following specifications:
/// 'blast.asn'.
///
/// ATTENTION:
///   Don't edit or commit this file into CVS as this file will
///   be overridden (by DATATOOL) without warning!

#ifndef OBJECTS_BLAST_BLA_COM_OPT_DB_RES_BY_ORGA_BASE_HPP
#define OBJECTS_BLAST_BLA_COM_OPT_DB_RES_BY_ORGA_BASE_HPP

// standard includes
#include <serial/serialbase.hpp>

// generated includes
#include <string>

BEGIN_NCBI_SCOPE

#ifndef BEGIN_objects_SCOPE
#  define BEGIN_objects_SCOPE BEGIN_SCOPE(objects)
#  define END_objects_SCOPE END_SCOPE(objects)
#endif
BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

/////////////////////////////////////////////////////////////////////////////
///  
///
///
///
///
///
///
///
///
///
///
///
///
///
///
///
///
///
///
///  Data types to be used in BLAST4 "Lite"
///
///  
///
///
///
///
///
///
///
///
///
///
///
///
///
///
///
///
///
class NCBI_BLAST_EXPORT CBlast4_common_options_db_restriction_by_organism_Base : public CSerialObject
{
    typedef CSerialObject Tparent;
public:
    // constructor
    CBlast4_common_options_db_restriction_by_organism_Base(void);
    // destructor
    virtual ~CBlast4_common_options_db_restriction_by_organism_Base(void);

    // type info
    DECLARE_INTERNAL_TYPE_INFO();


    /// Choice variants.
    enum E_Choice {
        e_not_set = 0,           ///< No variant selected
        e_Organism_restriction,  ///< additional restriction on the database to search
        e_Taxid_restriction      ///< same as above, specified with a taxid
    };
    /// Maximum+1 value of the choice variant enumerator.
    enum E_ChoiceStopper {
        e_MaxChoice = 3 ///< == e_Taxid_restriction+1
    };

    /// Reset the whole object
    virtual void Reset(void);

    /// Reset the selection (set it to e_not_set).
    virtual void ResetSelection(void);

    /// Which variant is currently selected.
    E_Choice Which(void) const;

    /// Verify selection, throw exception if it differs from the expected.
    void CheckSelected(E_Choice index) const;

    /// Throw 'InvalidSelection' exception.
    NCBI_NORETURN void ThrowInvalidSelection(E_Choice index) const;

    /// Retrieve selection name (for diagnostic purposes).
    static string SelectionName(E_Choice index);

    /// Select the requested variant if needed.
    void Select(E_Choice index, EResetVariant reset = eDoResetVariant);
    /// Select the requested variant if needed,
    /// allocating CObject variants from memory pool.
    void Select(E_Choice index,
                EResetVariant reset,
                CObjectMemoryPool* pool);

    // types
    typedef string TOrganism_restriction;
    typedef int TTaxid_restriction;

    // getters
    // setters

    // typedef string TOrganism_restriction
    bool IsOrganism_restriction(void) const;
    const TOrganism_restriction& GetOrganism_restriction(void) const;
    TOrganism_restriction& SetOrganism_restriction(void);
    void SetOrganism_restriction(const TOrganism_restriction& value);

    // typedef int TTaxid_restriction
    bool IsTaxid_restriction(void) const;
    TTaxid_restriction GetTaxid_restriction(void) const;
    TTaxid_restriction& SetTaxid_restriction(void);
    void SetTaxid_restriction(TTaxid_restriction value);


private:
    // copy constructor and assignment operator
    CBlast4_common_options_db_restriction_by_organism_Base(const CBlast4_common_options_db_restriction_by_organism_Base& );
    CBlast4_common_options_db_restriction_by_organism_Base& operator=(const CBlast4_common_options_db_restriction_by_organism_Base& );
    // choice state
    E_Choice m_choice;
    // helper methods
    void DoSelect(E_Choice index, CObjectMemoryPool* pool = 0);

    static const char* const sm_SelectionNames[];
    // data
    union {
        TTaxid_restriction m_Taxid_restriction;
        NCBI_NS_NCBI::CUnionBuffer<NCBI_NS_STD::string> m_string;
        void* m_dummy_pointer_for_alignment;
    };
};






///////////////////////////////////////////////////////////
///////////////////// inline methods //////////////////////
///////////////////////////////////////////////////////////
inline
CBlast4_common_options_db_restriction_by_organism_Base::E_Choice CBlast4_common_options_db_restriction_by_organism_Base::Which(void) const
{
    return m_choice;
}

inline
void CBlast4_common_options_db_restriction_by_organism_Base::CheckSelected(E_Choice index) const
{
    if ( m_choice != index )
        ThrowInvalidSelection(index);
}

inline
void CBlast4_common_options_db_restriction_by_organism_Base::Select(E_Choice index, NCBI_NS_NCBI::EResetVariant reset, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    if ( reset == NCBI_NS_NCBI::eDoResetVariant || m_choice != index ) {
        if ( m_choice != e_not_set )
            ResetSelection();
        DoSelect(index, pool);
    }
}

inline
void CBlast4_common_options_db_restriction_by_organism_Base::Select(E_Choice index, NCBI_NS_NCBI::EResetVariant reset)
{
    Select(index, reset, 0);
}

inline
bool CBlast4_common_options_db_restriction_by_organism_Base::IsOrganism_restriction(void) const
{
    return m_choice == e_Organism_restriction;
}

inline
const CBlast4_common_options_db_restriction_by_organism_Base::TOrganism_restriction& CBlast4_common_options_db_restriction_by_organism_Base::GetOrganism_restriction(void) const
{
    CheckSelected(e_Organism_restriction);
    return *m_string;
}

inline
CBlast4_common_options_db_restriction_by_organism_Base::TOrganism_restriction& CBlast4_common_options_db_restriction_by_organism_Base::SetOrganism_restriction(void)
{
    Select(e_Organism_restriction, NCBI_NS_NCBI::eDoNotResetVariant);
    return *m_string;
}

inline
bool CBlast4_common_options_db_restriction_by_organism_Base::IsTaxid_restriction(void) const
{
    return m_choice == e_Taxid_restriction;
}

inline
CBlast4_common_options_db_restriction_by_organism_Base::TTaxid_restriction CBlast4_common_options_db_restriction_by_organism_Base::GetTaxid_restriction(void) const
{
    CheckSelected(e_Taxid_restriction);
    return m_Taxid_restriction;
}

inline
CBlast4_common_options_db_restriction_by_organism_Base::TTaxid_restriction& CBlast4_common_options_db_restriction_by_organism_Base::SetTaxid_restriction(void)
{
    Select(e_Taxid_restriction, NCBI_NS_NCBI::eDoNotResetVariant);
    return m_Taxid_restriction;
}

inline
void CBlast4_common_options_db_restriction_by_organism_Base::SetTaxid_restriction(CBlast4_common_options_db_restriction_by_organism_Base::TTaxid_restriction value)
{
    Select(e_Taxid_restriction, NCBI_NS_NCBI::eDoNotResetVariant);
    m_Taxid_restriction = value;
}

///////////////////////////////////////////////////////////
////////////////// end of inline methods //////////////////
///////////////////////////////////////////////////////////





END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_BLAST_BLA_COM_OPT_DB_RES_BY_ORGA_BASE_HPP
