/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file Blas_get_searc_strat_reply_.hpp
/// Data storage class.
///
/// This file was generated by application DATATOOL
/// using the following specifications:
/// 'blast.asn'.
///
/// ATTENTION:
///   Don't edit or commit this file into CVS as this file will
///   be overridden (by DATATOOL) without warning!

#ifndef OBJECTS_BLAST_BLAS_GET_SEARC_STRAT_REPLY_BASE_HPP
#define OBJECTS_BLAST_BLAS_GET_SEARC_STRAT_REPLY_BASE_HPP

// standard includes
#include <serial/serialbase.hpp>

// generated includes
#include <objects/blast/Blast4_request.hpp>

BEGIN_NCBI_SCOPE

#ifndef BEGIN_objects_SCOPE
#  define BEGIN_objects_SCOPE BEGIN_SCOPE(objects)
#  define END_objects_SCOPE END_SCOPE(objects)
#endif
BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

/////////////////////////////////////////////////////////////////////////////
/// Return the search strategy (i.e.: Blast4-request containing a
/// Blast4-queue-search-request, an object used to submit the search)
class NCBI_BLAST_EXPORT CBlast4_get_search_strategy_reply_Base : public CBlast4_request
{
    typedef CBlast4_request Tparent;
public:
    CBlast4_get_search_strategy_reply_Base(void);

    // type info
    DECLARE_INTERNAL_TYPE_INFO();

    // parent type getter/setter
    const CBlast4_request& Get(void) const;
    CBlast4_request& Set(void);
};






///////////////////////////////////////////////////////////
///////////////////// inline methods //////////////////////
///////////////////////////////////////////////////////////
inline
CBlast4_get_search_strategy_reply_Base::CBlast4_get_search_strategy_reply_Base(void)
{
}

inline
const CBlast4_request& CBlast4_get_search_strategy_reply_Base::Get(void) const
{
    return *this;
}

inline
CBlast4_request& CBlast4_get_search_strategy_reply_Base::Set(void)
{
    return *this;
}

///////////////////////////////////////////////////////////
////////////////// end of inline methods //////////////////
///////////////////////////////////////////////////////////





END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_BLAST_BLAS_GET_SEARC_STRAT_REPLY_BASE_HPP
