/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file Blast4_options_lite_.hpp
/// Data storage class.
///
/// This file was generated by application DATATOOL
/// using the following specifications:
/// 'blast.asn'.
///
/// ATTENTION:
///   Don't edit or commit this file into CVS as this file will
///   be overridden (by DATATOOL) without warning!

#ifndef OBJECTS_BLAST_BLAST4_OPTIONS_LITE_BASE_HPP
#define OBJECTS_BLAST_BLAST4_OPTIONS_LITE_BASE_HPP

// standard includes
#include <serial/serialbase.hpp>

// generated includes
#include <string>

BEGIN_NCBI_SCOPE

#ifndef BEGIN_objects_SCOPE
#  define BEGIN_objects_SCOPE BEGIN_SCOPE(objects)
#  define END_objects_SCOPE END_SCOPE(objects)
#endif
BEGIN_objects_SCOPE // namespace ncbi::objects::


// forward declarations
class CBlast4_common_options;


// generated classes

/////////////////////////////////////////////////////////////////////////////
class NCBI_BLAST_EXPORT CBlast4_options_lite_Base : public CSerialObject
{
    typedef CSerialObject Tparent;
public:
    // constructor
    CBlast4_options_lite_Base(void);
    // destructor
    virtual ~CBlast4_options_lite_Base(void);

    // type info
    DECLARE_INTERNAL_TYPE_INFO();

    // types
    typedef string TTask;
    typedef CBlast4_common_options TOptions;

    // getters
    // setters

    /// mandatory
    /// typedef string TTask
    ///  Check whether the Task data member has been assigned a value.
    bool IsSetTask(void) const;
    /// Check whether it is safe or not to call GetTask method.
    bool CanGetTask(void) const;
    void ResetTask(void);
    const TTask& GetTask(void) const;
    void SetTask(const TTask& value);
    TTask& SetTask(void);

    /// optional
    /// typedef CBlast4_common_options TOptions
    ///  Check whether the Options data member has been assigned a value.
    bool IsSetOptions(void) const;
    /// Check whether it is safe or not to call GetOptions method.
    bool CanGetOptions(void) const;
    void ResetOptions(void);
    const TOptions& GetOptions(void) const;
    void SetOptions(TOptions& value);
    TOptions& SetOptions(void);

    /// Reset the whole object
    virtual void Reset(void);


private:
    // Prohibit copy constructor and assignment operator
    CBlast4_options_lite_Base(const CBlast4_options_lite_Base&);
    CBlast4_options_lite_Base& operator=(const CBlast4_options_lite_Base&);

    // data
    Uint4 m_set_State[1];
    TTask m_Task;
    CRef< TOptions > m_Options;
};






///////////////////////////////////////////////////////////
///////////////////// inline methods //////////////////////
///////////////////////////////////////////////////////////
inline
bool CBlast4_options_lite_Base::IsSetTask(void) const
{
    return ((m_set_State[0] & 0x3) != 0);
}

inline
bool CBlast4_options_lite_Base::CanGetTask(void) const
{
    return IsSetTask();
}

inline
const CBlast4_options_lite_Base::TTask& CBlast4_options_lite_Base::GetTask(void) const
{
    if (!CanGetTask()) {
        ThrowUnassigned(0);
    }
    return m_Task;
}

inline
void CBlast4_options_lite_Base::SetTask(const CBlast4_options_lite_Base::TTask& value)
{
    m_Task = value;
    m_set_State[0] |= 0x3;
}

inline
CBlast4_options_lite_Base::TTask& CBlast4_options_lite_Base::SetTask(void)
{
#ifdef _DEBUG
    if (!IsSetTask()) {
        m_Task = ms_UnassignedStr;
    }
#endif
    m_set_State[0] |= 0x1;
    return m_Task;
}

inline
bool CBlast4_options_lite_Base::IsSetOptions(void) const
{
    return m_Options.NotEmpty();
}

inline
bool CBlast4_options_lite_Base::CanGetOptions(void) const
{
    return IsSetOptions();
}

inline
const CBlast4_options_lite_Base::TOptions& CBlast4_options_lite_Base::GetOptions(void) const
{
    if (!CanGetOptions()) {
        ThrowUnassigned(1);
    }
    return (*m_Options);
}

///////////////////////////////////////////////////////////
////////////////// end of inline methods //////////////////
///////////////////////////////////////////////////////////





END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_BLAST_BLAST4_OPTIONS_LITE_BASE_HPP
