/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file Blast4_queue_search_reques.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'blast.asn'.
///
/// New methods or data members can be added to it if needed.
/// See also: Blast4_queue_search_reques_.hpp


#ifndef OBJECTS_BLAST_BLAST4_QUEUE_SEARCH_REQUES_HPP
#define OBJECTS_BLAST_BLAST4_QUEUE_SEARCH_REQUES_HPP


// generated includes
#include <objects/blast/Blast4_queue_search_reques_.hpp>

// generated classes

BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::

/////////////////////////////////////////////////////////////////////////////
class NCBI_BLAST_EXPORT CBlast4_queue_search_request : public CBlast4_queue_search_request_Base
{
    typedef CBlast4_queue_search_request_Base Tparent;
public:
    // constructor
    CBlast4_queue_search_request(void);
    // destructor
    ~CBlast4_queue_search_request(void);

private:
    // Prohibit copy constructor and assignment operator
    CBlast4_queue_search_request(const CBlast4_queue_search_request& value);
    CBlast4_queue_search_request& operator=(const CBlast4_queue_search_request& value);

};

/////////////////// CBlast4_queue_search_request inline methods

// constructor
inline
CBlast4_queue_search_request::CBlast4_queue_search_request(void)
{
}


/////////////////// end of CBlast4_queue_search_request inline methods


END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_BLAST_BLAST4_QUEUE_SEARCH_REQUES_HPP
/* Original file checksum: lines: 86, chars: 2740, CRC32: c2ed60ac */
