/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file Blast_commo_optio_db_restr_.hpp
/// Data storage class.
///
/// This file was generated by application DATATOOL
/// using the following specifications:
/// 'blast.asn'.
///
/// ATTENTION:
///   Don't edit or commit this file into CVS as this file will
///   be overridden (by DATATOOL) without warning!

#ifndef OBJECTS_BLAST_BLAST_COMMO_OPTIO_DB_RESTR_BASE_HPP
#define OBJECTS_BLAST_BLAST_COMMO_OPTIO_DB_RESTR_BASE_HPP

// standard includes
#include <serial/serialbase.hpp>

// generated includes
#include <string>

BEGIN_NCBI_SCOPE

#ifndef BEGIN_objects_SCOPE
#  define BEGIN_objects_SCOPE BEGIN_SCOPE(objects)
#  define END_objects_SCOPE END_SCOPE(objects)
#endif
BEGIN_objects_SCOPE // namespace ncbi::objects::


// forward declarations
class CBlast4_common_options_db_restriction_by_organism;


// generated classes

/////////////////////////////////////////////////////////////////////////////
class NCBI_BLAST_EXPORT CBlast4_common_options_db_restriction_Base : public CSerialObject
{
    typedef CSerialObject Tparent;
public:
    // constructor
    CBlast4_common_options_db_restriction_Base(void);
    // destructor
    virtual ~CBlast4_common_options_db_restriction_Base(void);

    // type info
    DECLARE_INTERNAL_TYPE_INFO();

    // types
    typedef string TEntrez_query;
    typedef CBlast4_common_options_db_restriction_by_organism TOrganism;

    // getters
    // setters

    /// entrez query restriction on the database to search
    /// optional
    /// typedef string TEntrez_query
    ///  Check whether the Entrez_query data member has been assigned a value.
    bool IsSetEntrez_query(void) const;
    /// Check whether it is safe or not to call GetEntrez_query method.
    bool CanGetEntrez_query(void) const;
    void ResetEntrez_query(void);
    const TEntrez_query& GetEntrez_query(void) const;
    void SetEntrez_query(const TEntrez_query& value);
    TEntrez_query& SetEntrez_query(void);

    /// optional
    /// typedef CBlast4_common_options_db_restriction_by_organism TOrganism
    ///  Check whether the Organism data member has been assigned a value.
    bool IsSetOrganism(void) const;
    /// Check whether it is safe or not to call GetOrganism method.
    bool CanGetOrganism(void) const;
    void ResetOrganism(void);
    const TOrganism& GetOrganism(void) const;
    void SetOrganism(TOrganism& value);
    TOrganism& SetOrganism(void);

    /// Reset the whole object
    virtual void Reset(void);


private:
    // Prohibit copy constructor and assignment operator
    CBlast4_common_options_db_restriction_Base(const CBlast4_common_options_db_restriction_Base&);
    CBlast4_common_options_db_restriction_Base& operator=(const CBlast4_common_options_db_restriction_Base&);

    // data
    Uint4 m_set_State[1];
    TEntrez_query m_Entrez_query;
    CRef< TOrganism > m_Organism;
};






///////////////////////////////////////////////////////////
///////////////////// inline methods //////////////////////
///////////////////////////////////////////////////////////
inline
bool CBlast4_common_options_db_restriction_Base::IsSetEntrez_query(void) const
{
    return ((m_set_State[0] & 0x3) != 0);
}

inline
bool CBlast4_common_options_db_restriction_Base::CanGetEntrez_query(void) const
{
    return IsSetEntrez_query();
}

inline
const CBlast4_common_options_db_restriction_Base::TEntrez_query& CBlast4_common_options_db_restriction_Base::GetEntrez_query(void) const
{
    if (!CanGetEntrez_query()) {
        ThrowUnassigned(0);
    }
    return m_Entrez_query;
}

inline
void CBlast4_common_options_db_restriction_Base::SetEntrez_query(const CBlast4_common_options_db_restriction_Base::TEntrez_query& value)
{
    m_Entrez_query = value;
    m_set_State[0] |= 0x3;
}

inline
CBlast4_common_options_db_restriction_Base::TEntrez_query& CBlast4_common_options_db_restriction_Base::SetEntrez_query(void)
{
#ifdef _DEBUG
    if (!IsSetEntrez_query()) {
        m_Entrez_query = ms_UnassignedStr;
    }
#endif
    m_set_State[0] |= 0x1;
    return m_Entrez_query;
}

inline
bool CBlast4_common_options_db_restriction_Base::IsSetOrganism(void) const
{
    return m_Organism.NotEmpty();
}

inline
bool CBlast4_common_options_db_restriction_Base::CanGetOrganism(void) const
{
    return IsSetOrganism();
}

inline
const CBlast4_common_options_db_restriction_Base::TOrganism& CBlast4_common_options_db_restriction_Base::GetOrganism(void) const
{
    if (!CanGetOrganism()) {
        ThrowUnassigned(1);
    }
    return (*m_Organism);
}

///////////////////////////////////////////////////////////
////////////////// end of inline methods //////////////////
///////////////////////////////////////////////////////////





END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_BLAST_BLAST_COMMO_OPTIO_DB_RESTR_BASE_HPP
