/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file E2Reply.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'entrez2.asn'.
///
/// New methods or data members can be added to it if needed.
/// See also: E2Reply_.hpp


#ifndef OBJECTS_ENTREZ2_E2REPLY_HPP
#define OBJECTS_ENTREZ2_E2REPLY_HPP


// generated includes
#include <objects/entrez2/E2Reply_.hpp>

// generated classes

BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::

/////////////////////////////////////////////////////////////////////////////
class NCBI_ENTREZ2_EXPORT CE2Reply : public CE2Reply_Base
{
    typedef CE2Reply_Base Tparent;
public:
    // constructor
    CE2Reply(void);
    // destructor
    ~CE2Reply(void);

private:
    // Prohibit copy constructor and assignment operator
    CE2Reply(const CE2Reply& value);
    CE2Reply& operator=(const CE2Reply& value);

};

/////////////////// CE2Reply inline methods

// constructor
inline
CE2Reply::CE2Reply(void)
{
}


/////////////////// end of CE2Reply inline methods


END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_ENTREZ2_E2REPLY_HPP
/* Original file checksum: lines: 86, chars: 2378, CRC32: bd8cfeb0 */
