/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file Entrez2_docsum_list_.hpp
/// Data storage class.
///
/// This file was generated by application DATATOOL
/// using the following specifications:
/// 'entrez2.asn'.
///
/// ATTENTION:
///   Don't edit or commit this file into CVS as this file will
///   be overridden (by DATATOOL) without warning!

#ifndef OBJECTS_ENTREZ2_ENTREZ2_DOCSUM_LIST_BASE_HPP
#define OBJECTS_ENTREZ2_ENTREZ2_DOCSUM_LIST_BASE_HPP

// standard includes
#include <serial/serialbase.hpp>

// generated includes
#include <list>

BEGIN_NCBI_SCOPE

#ifndef BEGIN_objects_SCOPE
#  define BEGIN_objects_SCOPE BEGIN_SCOPE(objects)
#  define END_objects_SCOPE END_SCOPE(objects)
#endif
BEGIN_objects_SCOPE // namespace ncbi::objects::


// forward declarations
class CEntrez2_docsum;


// generated classes

/////////////////////////////////////////////////////////////////////////////
class NCBI_ENTREZ2_EXPORT CEntrez2_docsum_list_Base : public CSerialObject
{
    typedef CSerialObject Tparent;
public:
    // constructor
    CEntrez2_docsum_list_Base(void);
    // destructor
    virtual ~CEntrez2_docsum_list_Base(void);

    // type info
    DECLARE_INTERNAL_TYPE_INFO();

    // types
    typedef int TCount;
    typedef list< CRef< CEntrez2_docsum > > TList;

    // getters
    // setters

    /// number of docsums
    /// mandatory
    /// typedef int TCount
    ///  Check whether the Count data member has been assigned a value.
    bool IsSetCount(void) const;
    /// Check whether it is safe or not to call GetCount method.
    bool CanGetCount(void) const;
    void ResetCount(void);
    TCount GetCount(void) const;
    void SetCount(TCount value);
    TCount& SetCount(void);

    /// mandatory
    /// typedef list< CRef< CEntrez2_docsum > > TList
    ///  Check whether the List data member has been assigned a value.
    bool IsSetList(void) const;
    /// Check whether it is safe or not to call GetList method.
    bool CanGetList(void) const;
    void ResetList(void);
    const TList& GetList(void) const;
    TList& SetList(void);

    /// Reset the whole object
    virtual void Reset(void);


private:
    // Prohibit copy constructor and assignment operator
    CEntrez2_docsum_list_Base(const CEntrez2_docsum_list_Base&);
    CEntrez2_docsum_list_Base& operator=(const CEntrez2_docsum_list_Base&);

    // data
    Uint4 m_set_State[1];
    TCount m_Count;
    TList m_List;
};






///////////////////////////////////////////////////////////
///////////////////// inline methods //////////////////////
///////////////////////////////////////////////////////////
inline
bool CEntrez2_docsum_list_Base::IsSetCount(void) const
{
    return ((m_set_State[0] & 0x3) != 0);
}

inline
bool CEntrez2_docsum_list_Base::CanGetCount(void) const
{
    return IsSetCount();
}

inline
void CEntrez2_docsum_list_Base::ResetCount(void)
{
    m_Count = 0;
    m_set_State[0] &= ~0x3;
}

inline
CEntrez2_docsum_list_Base::TCount CEntrez2_docsum_list_Base::GetCount(void) const
{
    if (!CanGetCount()) {
        ThrowUnassigned(0);
    }
    return m_Count;
}

inline
void CEntrez2_docsum_list_Base::SetCount(CEntrez2_docsum_list_Base::TCount value)
{
    m_Count = value;
    m_set_State[0] |= 0x3;
}

inline
CEntrez2_docsum_list_Base::TCount& CEntrez2_docsum_list_Base::SetCount(void)
{
#ifdef _DEBUG
    if (!IsSetCount()) {
        memset(&m_Count,ms_UnassignedByte,sizeof(m_Count));
    }
#endif
    m_set_State[0] |= 0x1;
    return m_Count;
}

inline
bool CEntrez2_docsum_list_Base::IsSetList(void) const
{
    return ((m_set_State[0] & 0xc) != 0);
}

inline
bool CEntrez2_docsum_list_Base::CanGetList(void) const
{
    return true;
}

inline
const CEntrez2_docsum_list_Base::TList& CEntrez2_docsum_list_Base::GetList(void) const
{
    return m_List;
}

inline
CEntrez2_docsum_list_Base::TList& CEntrez2_docsum_list_Base::SetList(void)
{
    m_set_State[0] |= 0x4;
    return m_List;
}

///////////////////////////////////////////////////////////
////////////////// end of inline methods //////////////////
///////////////////////////////////////////////////////////





END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_ENTREZ2_ENTREZ2_DOCSUM_LIST_BASE_HPP
