/* $Id: GC_AssemblyUnit.hpp 346674 2011-12-08 18:37:59Z dicuccio $
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file GC_AssemblyUnit.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'genome_collection.asn'.
///
/// New methods or data members can be added to it if needed.
/// See also: GC_AssemblyUnit_.hpp


#ifndef INTERNAL_GPIPE_OBJECTS_GENOMECOLL_GC_ASSEMBLYUNIT_HPP
#define INTERNAL_GPIPE_OBJECTS_GENOMECOLL_GC_ASSEMBLYUNIT_HPP


// generated includes
#include <objects/genomecoll/GC_AssemblyUnit_.hpp>

// generated classes

BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::

/////////////////////////////////////////////////////////////////////////////
class NCBI_GENOME_COLLECTION_EXPORT CGC_AssemblyUnit : public CGC_AssemblyUnit_Base
{
    typedef CGC_AssemblyUnit_Base Tparent;
    friend class CGC_Assembly;
public:
    // constructor
    CGC_AssemblyUnit(void);
    // destructor
    ~CGC_AssemblyUnit(void);

    /// Retrieve this unit's name
	string GetName() const;

    /// Retrieve this unit's accession
	string GetAccession() const;

    /// Retrieve the release id for this assembly
    int GetReleaseId() const;

    /// Access the most specific full assembly the assembly unit belongs to
    /// This is needed because assemblies are packaged as sets of assemblies;
    /// knowing the unit is not always enough
    CConstRef<CGC_Assembly> GetFullAssembly() const;

protected:
    CGC_Assembly* m_Assembly;

private:
    // Prohibit copy constructor and assignment operator
    CGC_AssemblyUnit(const CGC_AssemblyUnit& value);
    CGC_AssemblyUnit& operator=(const CGC_AssemblyUnit& value);

};

/////////////////// CGC_AssemblyUnit inline methods

/////////////////// end of CGC_AssemblyUnit inline methods


END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // INTERNAL_GPIPE_OBJECTS_GENOMECOLL_GC_ASSEMBLYUNIT_HPP
/* Original file checksum: lines: 86, chars: 2622, CRC32: 3a202f4e */
