/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file GC_SequenceRole_.hpp
/// Data storage class.
///
/// This file was generated by application DATATOOL
/// using the following specifications:
/// 'genome_collection.asn'.
///
/// ATTENTION:
///   Don't edit or commit this file into CVS as this file will
///   be overridden (by DATATOOL) without warning!

#ifndef OBJECTS_GENOMECOLL_GC_SEQUENCEROLE_BASE_HPP
#define OBJECTS_GENOMECOLL_GC_SEQUENCEROLE_BASE_HPP

// standard includes
#include <serial/serialbase.hpp>
BEGIN_NCBI_SCOPE

#ifndef BEGIN_objects_SCOPE
#  define BEGIN_objects_SCOPE BEGIN_SCOPE(objects)
#  define END_objects_SCOPE END_SCOPE(objects)
#endif
BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

/// sequence-role: what role(s) does this sequence have in the assembly
/// a sequence may have more than one role. e.g. a complete-sequence is all 4 roles
/// pseudo-scaffold - this is for UCSC chr1_random etc
/// submitter-pseudo-scaffold - this is for FlyBase pseudo scaffolds.
enum EGC_SequenceRole {
    eGC_SequenceRole_chromosome                =  2,
    eGC_SequenceRole_scaffold                  =  3,
    eGC_SequenceRole_component                 =  4,
    eGC_SequenceRole_top_level                 = 10,
    eGC_SequenceRole_pseudo_scaffold           = 20,
    eGC_SequenceRole_submitter_pseudo_scaffold = 21
};

/// Access to EGC_SequenceRole's attributes (values, names) as defined in spec
NCBI_GENOME_COLLECTION_EXPORT const NCBI_NS_NCBI::CEnumeratedTypeValues* ENUM_METHOD_NAME(EGC_SequenceRole)(void);


END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_GENOMECOLL_GC_SEQUENCEROLE_BASE_HPP
