/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file ID2_Request_ReGet_Blob_.hpp
/// Data storage class.
///
/// This file was generated by application DATATOOL
/// using the following specifications:
/// 'id2.asn'.
///
/// ATTENTION:
///   Don't edit or commit this file into CVS as this file will
///   be overridden (by DATATOOL) without warning!

#ifndef OBJECTS_ID2_ID2_REQUEST_REGET_BLOB_BASE_HPP
#define OBJECTS_ID2_ID2_REQUEST_REGET_BLOB_BASE_HPP

// standard includes
#include <serial/serialbase.hpp>
BEGIN_NCBI_SCOPE

#ifndef BEGIN_objects_SCOPE
#  define BEGIN_objects_SCOPE BEGIN_SCOPE(objects)
#  define END_objects_SCOPE END_SCOPE(objects)
#endif
BEGIN_objects_SCOPE // namespace ncbi::objects::


// forward declarations
class CID2_Blob_Id;


// generated classes

/////////////////////////////////////////////////////////////////////////////
/// This is similar to FTP reget command.
/// It may be unsupported by server.
/// It's defined only for plain blobs (returned in ID2-Reply-Get-Blob)
/// as all split data comes in small chunks, so reget doesn't make sense.
class NCBI_ID2_EXPORT CID2_Request_ReGet_Blob_Base : public CSerialObject
{
    typedef CSerialObject Tparent;
public:
    // constructor
    CID2_Request_ReGet_Blob_Base(void);
    // destructor
    virtual ~CID2_Request_ReGet_Blob_Base(void);

    // type info
    DECLARE_INTERNAL_TYPE_INFO();

    // types
    typedef CID2_Blob_Id TBlob_id;
    typedef int TSplit_version;
    typedef int TOffset;

    // getters
    // setters

    /// mandatory
    /// typedef CID2_Blob_Id TBlob_id
    ///  Check whether the Blob_id data member has been assigned a value.
    bool IsSetBlob_id(void) const;
    /// Check whether it is safe or not to call GetBlob_id method.
    bool CanGetBlob_id(void) const;
    void ResetBlob_id(void);
    const TBlob_id& GetBlob_id(void) const;
    void SetBlob_id(TBlob_id& value);
    TBlob_id& SetBlob_id(void);

    /// blob split version to resend
    /// mandatory
    /// typedef int TSplit_version
    ///  Check whether the Split_version data member has been assigned a value.
    bool IsSetSplit_version(void) const;
    /// Check whether it is safe or not to call GetSplit_version method.
    bool CanGetSplit_version(void) const;
    void ResetSplit_version(void);
    TSplit_version GetSplit_version(void) const;
    void SetSplit_version(TSplit_version value);
    TSplit_version& SetSplit_version(void);

    /// start offset of data to get
    /// mandatory
    /// typedef int TOffset
    ///  Check whether the Offset data member has been assigned a value.
    bool IsSetOffset(void) const;
    /// Check whether it is safe or not to call GetOffset method.
    bool CanGetOffset(void) const;
    void ResetOffset(void);
    TOffset GetOffset(void) const;
    void SetOffset(TOffset value);
    TOffset& SetOffset(void);

    /// Reset the whole object
    virtual void Reset(void);


private:
    // Prohibit copy constructor and assignment operator
    CID2_Request_ReGet_Blob_Base(const CID2_Request_ReGet_Blob_Base&);
    CID2_Request_ReGet_Blob_Base& operator=(const CID2_Request_ReGet_Blob_Base&);

    // data
    Uint4 m_set_State[1];
    CRef< TBlob_id > m_Blob_id;
    TSplit_version m_Split_version;
    TOffset m_Offset;
};






///////////////////////////////////////////////////////////
///////////////////// inline methods //////////////////////
///////////////////////////////////////////////////////////
inline
bool CID2_Request_ReGet_Blob_Base::IsSetBlob_id(void) const
{
    return m_Blob_id.NotEmpty();
}

inline
bool CID2_Request_ReGet_Blob_Base::CanGetBlob_id(void) const
{
    return true;
}

inline
const CID2_Request_ReGet_Blob_Base::TBlob_id& CID2_Request_ReGet_Blob_Base::GetBlob_id(void) const
{
    if ( !m_Blob_id ) {
        const_cast<CID2_Request_ReGet_Blob_Base*>(this)->ResetBlob_id();
    }
    return (*m_Blob_id);
}

inline
CID2_Request_ReGet_Blob_Base::TBlob_id& CID2_Request_ReGet_Blob_Base::SetBlob_id(void)
{
    if ( !m_Blob_id ) {
        ResetBlob_id();
    }
    return (*m_Blob_id);
}

inline
bool CID2_Request_ReGet_Blob_Base::IsSetSplit_version(void) const
{
    return ((m_set_State[0] & 0xc) != 0);
}

inline
bool CID2_Request_ReGet_Blob_Base::CanGetSplit_version(void) const
{
    return IsSetSplit_version();
}

inline
void CID2_Request_ReGet_Blob_Base::ResetSplit_version(void)
{
    m_Split_version = 0;
    m_set_State[0] &= ~0xc;
}

inline
CID2_Request_ReGet_Blob_Base::TSplit_version CID2_Request_ReGet_Blob_Base::GetSplit_version(void) const
{
    if (!CanGetSplit_version()) {
        ThrowUnassigned(1);
    }
    return m_Split_version;
}

inline
void CID2_Request_ReGet_Blob_Base::SetSplit_version(CID2_Request_ReGet_Blob_Base::TSplit_version value)
{
    m_Split_version = value;
    m_set_State[0] |= 0xc;
}

inline
CID2_Request_ReGet_Blob_Base::TSplit_version& CID2_Request_ReGet_Blob_Base::SetSplit_version(void)
{
#ifdef _DEBUG
    if (!IsSetSplit_version()) {
        memset(&m_Split_version,ms_UnassignedByte,sizeof(m_Split_version));
    }
#endif
    m_set_State[0] |= 0x4;
    return m_Split_version;
}

inline
bool CID2_Request_ReGet_Blob_Base::IsSetOffset(void) const
{
    return ((m_set_State[0] & 0x30) != 0);
}

inline
bool CID2_Request_ReGet_Blob_Base::CanGetOffset(void) const
{
    return IsSetOffset();
}

inline
void CID2_Request_ReGet_Blob_Base::ResetOffset(void)
{
    m_Offset = 0;
    m_set_State[0] &= ~0x30;
}

inline
CID2_Request_ReGet_Blob_Base::TOffset CID2_Request_ReGet_Blob_Base::GetOffset(void) const
{
    if (!CanGetOffset()) {
        ThrowUnassigned(2);
    }
    return m_Offset;
}

inline
void CID2_Request_ReGet_Blob_Base::SetOffset(CID2_Request_ReGet_Blob_Base::TOffset value)
{
    m_Offset = value;
    m_set_State[0] |= 0x30;
}

inline
CID2_Request_ReGet_Blob_Base::TOffset& CID2_Request_ReGet_Blob_Base::SetOffset(void)
{
#ifdef _DEBUG
    if (!IsSetOffset()) {
        memset(&m_Offset,ms_UnassignedByte,sizeof(m_Offset));
    }
#endif
    m_set_State[0] |= 0x10;
    return m_Offset;
}

///////////////////////////////////////////////////////////
////////////////// end of inline methods //////////////////
///////////////////////////////////////////////////////////





END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_ID2_ID2_REQUEST_REGET_BLOB_BASE_HPP
