/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file DocRef.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'medline.asn'.
///
/// New methods or data members can be added to it if needed.
/// See also: DocRef_.hpp


#ifndef OBJECTS_MEDLINE_DOCREF_HPP
#define OBJECTS_MEDLINE_DOCREF_HPP


// generated includes
#include <objects/medline/DocRef_.hpp>

// generated classes

BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::

/////////////////////////////////////////////////////////////////////////////
class NCBI_MEDLINE_EXPORT CDocRef : public CDocRef_Base
{
    typedef CDocRef_Base Tparent;
public:
    // constructor
    CDocRef(void);
    // destructor
    ~CDocRef(void);

private:
    // Prohibit copy constructor and assignment operator
    CDocRef(const CDocRef& value);
    CDocRef& operator=(const CDocRef& value);

};

/////////////////// CDocRef inline methods

// constructor
inline
CDocRef::CDocRef(void)
{
}


/////////////////// end of CDocRef inline methods


END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_MEDLINE_DOCREF_HPP
/* Original file checksum: lines: 86, chars: 2359, CRC32: ab5cfec9 */
