/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file Medline_mesh.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'medline.asn'.
///
/// New methods or data members can be added to it if needed.
/// See also: Medline_mesh_.hpp


#ifndef OBJECTS_MEDLINE_MEDLINE_MESH_HPP
#define OBJECTS_MEDLINE_MEDLINE_MESH_HPP


// generated includes
#include <objects/medline/Medline_mesh_.hpp>

// generated classes

BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::

/////////////////////////////////////////////////////////////////////////////
class NCBI_MEDLINE_EXPORT CMedline_mesh : public CMedline_mesh_Base
{
    typedef CMedline_mesh_Base Tparent;
public:
    // constructor
    CMedline_mesh(void);
    // destructor
    ~CMedline_mesh(void);

private:
    // Prohibit copy constructor and assignment operator
    CMedline_mesh(const CMedline_mesh& value);
    CMedline_mesh& operator=(const CMedline_mesh& value);

};

/////////////////// CMedline_mesh inline methods

// constructor
inline
CMedline_mesh::CMedline_mesh(void)
{
}


/////////////////// end of CMedline_mesh inline methods


END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_MEDLINE_MEDLINE_MESH_HPP
/* Original file checksum: lines: 86, chars: 2473, CRC32: f3c04881 */
