/* $Id: Seq_align_set.hpp 103491 2007-05-04 17:18:18Z kazimird $
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * Author:  .......
 *
 * File Description:
 *   .......
 *
 * Remark:
 *   This code was originally generated by application DATATOOL
 *   using specifications from the data definition file
 *   'seqalign.asn'.
 */

#ifndef OBJECTS_SEQALIGN_SEQ_ALIGN_SET_HPP
#define OBJECTS_SEQALIGN_SEQ_ALIGN_SET_HPP


// generated includes
#include <objects/seqalign/Seq_align_set_.hpp>

// generated classes

BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::

class NCBI_SEQALIGN_EXPORT CSeq_align_set : public CSeq_align_set_Base
{
    typedef CSeq_align_set_Base Tparent;
public:
    // constructor
    CSeq_align_set(void);
    // destructor
    ~CSeq_align_set(void);

    typedef int TDim;

    /// Swap two rows (changing *order*, not content)
    void SwapRows(TDim row1, TDim row2);

    Tdata::size_type Size() const;

    bool IsEmpty() const;

private:
    // Prohibit copy constructor and assignment operator
    CSeq_align_set(const CSeq_align_set& value);
    CSeq_align_set& operator=(const CSeq_align_set& value);

};



/////////////////// CSeq_align_set inline methods

// constructor
inline
CSeq_align_set::CSeq_align_set(void)
{
}

inline CSeq_align_set::Tdata::size_type
CSeq_align_set::Size() const
{
    return CanGet() ? Get().size() : 0;
}

inline bool
CSeq_align_set::IsEmpty() const
{
    return Size() == 0;
}

/////////////////// end of CSeq_align_set inline methods


END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

#endif // OBJECTS_SEQALIGN_SEQ_ALIGN_SET_HPP
/* Original file checksum: lines: 93, chars: 2494, CRC32: 9bd35138 */
