/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file SeqEdit_Cmd_AddDesc_.hpp
/// Data storage class.
///
/// This file was generated by application DATATOOL
/// using the following specifications:
/// 'seqedit.asn'.
///
/// ATTENTION:
///   Don't edit or commit this file into CVS as this file will
///   be overridden (by DATATOOL) without warning!

#ifndef OBJECTS_SEQEDIT_SEQEDIT_CMD_ADDDESC_BASE_HPP
#define OBJECTS_SEQEDIT_SEQEDIT_CMD_ADDDESC_BASE_HPP

// standard includes
#include <serial/serialbase.hpp>
BEGIN_NCBI_SCOPE

#ifndef BEGIN_objects_SCOPE
#  define BEGIN_objects_SCOPE BEGIN_SCOPE(objects)
#  define END_objects_SCOPE END_SCOPE(objects)
#endif
BEGIN_objects_SCOPE // namespace ncbi::objects::


// forward declarations
class CSeqEdit_Id;
class CSeqdesc;


// generated classes

/////////////////////////////////////////////////////////////////////////////
/// Add a descriptor ot an object
class NCBI_SEQEDIT_EXPORT CSeqEdit_Cmd_AddDesc_Base : public CSerialObject
{
    typedef CSerialObject Tparent;
public:
    // constructor
    CSeqEdit_Cmd_AddDesc_Base(void);
    // destructor
    virtual ~CSeqEdit_Cmd_AddDesc_Base(void);

    // type info
    DECLARE_INTERNAL_TYPE_INFO();

    // types
    typedef CSeqEdit_Id TId;
    typedef CSeqdesc TAdd_desc;

    // getters
    // setters

    /// Bioseq or Bioseq_set id
    /// mandatory
    /// typedef CSeqEdit_Id TId
    ///  Check whether the Id data member has been assigned a value.
    bool IsSetId(void) const;
    /// Check whether it is safe or not to call GetId method.
    bool CanGetId(void) const;
    void ResetId(void);
    const TId& GetId(void) const;
    void SetId(TId& value);
    TId& SetId(void);

    /// descriptor
    /// mandatory
    /// typedef CSeqdesc TAdd_desc
    ///  Check whether the Add_desc data member has been assigned a value.
    bool IsSetAdd_desc(void) const;
    /// Check whether it is safe or not to call GetAdd_desc method.
    bool CanGetAdd_desc(void) const;
    void ResetAdd_desc(void);
    const TAdd_desc& GetAdd_desc(void) const;
    void SetAdd_desc(TAdd_desc& value);
    TAdd_desc& SetAdd_desc(void);

    /// Reset the whole object
    virtual void Reset(void);


private:
    // Prohibit copy constructor and assignment operator
    CSeqEdit_Cmd_AddDesc_Base(const CSeqEdit_Cmd_AddDesc_Base&);
    CSeqEdit_Cmd_AddDesc_Base& operator=(const CSeqEdit_Cmd_AddDesc_Base&);

    // data
    Uint4 m_set_State[1];
    CRef< TId > m_Id;
    CRef< TAdd_desc > m_Add_desc;
};






///////////////////////////////////////////////////////////
///////////////////// inline methods //////////////////////
///////////////////////////////////////////////////////////
inline
bool CSeqEdit_Cmd_AddDesc_Base::IsSetId(void) const
{
    return m_Id.NotEmpty();
}

inline
bool CSeqEdit_Cmd_AddDesc_Base::CanGetId(void) const
{
    return true;
}

inline
const CSeqEdit_Cmd_AddDesc_Base::TId& CSeqEdit_Cmd_AddDesc_Base::GetId(void) const
{
    if ( !m_Id ) {
        const_cast<CSeqEdit_Cmd_AddDesc_Base*>(this)->ResetId();
    }
    return (*m_Id);
}

inline
CSeqEdit_Cmd_AddDesc_Base::TId& CSeqEdit_Cmd_AddDesc_Base::SetId(void)
{
    if ( !m_Id ) {
        ResetId();
    }
    return (*m_Id);
}

inline
bool CSeqEdit_Cmd_AddDesc_Base::IsSetAdd_desc(void) const
{
    return m_Add_desc.NotEmpty();
}

inline
bool CSeqEdit_Cmd_AddDesc_Base::CanGetAdd_desc(void) const
{
    return true;
}

inline
const CSeqEdit_Cmd_AddDesc_Base::TAdd_desc& CSeqEdit_Cmd_AddDesc_Base::GetAdd_desc(void) const
{
    if ( !m_Add_desc ) {
        const_cast<CSeqEdit_Cmd_AddDesc_Base*>(this)->ResetAdd_desc();
    }
    return (*m_Add_desc);
}

inline
CSeqEdit_Cmd_AddDesc_Base::TAdd_desc& CSeqEdit_Cmd_AddDesc_Base::SetAdd_desc(void)
{
    if ( !m_Add_desc ) {
        ResetAdd_desc();
    }
    return (*m_Add_desc);
}

///////////////////////////////////////////////////////////
////////////////// end of inline methods //////////////////
///////////////////////////////////////////////////////////





END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_SEQEDIT_SEQEDIT_CMD_ADDDESC_BASE_HPP
