/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file Seq_id_set.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'seqloc.asn'.
///
/// New methods or data members can be added to it if needed.
/// See also: Seq_id_set_.hpp


#ifndef OBJECTS_SEQLOC_SEQ_ID_SET_HPP
#define OBJECTS_SEQLOC_SEQ_ID_SET_HPP


// generated includes
#include <objects/seqloc/Seq_id_set_.hpp>

// generated classes

BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::

/////////////////////////////////////////////////////////////////////////////
class NCBI_SEQLOC_EXPORT CSeq_id_set : public CSeq_id_set_Base
{
    typedef CSeq_id_set_Base Tparent;
public:
    // constructor
    CSeq_id_set(void);
    // destructor
    ~CSeq_id_set(void);

private:
    // Prohibit copy constructor and assignment operator
    CSeq_id_set(const CSeq_id_set& value);
    CSeq_id_set& operator=(const CSeq_id_set& value);

};

/////////////////// CSeq_id_set inline methods

// constructor
inline
CSeq_id_set::CSeq_id_set(void)
{
}


/////////////////// end of CSeq_id_set inline methods


END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_SEQLOC_SEQ_ID_SET_HPP
/* Original file checksum: lines: 86, chars: 2429, CRC32: f8c3a81d */
