/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'biblio.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/biblio/Cit_let.hpp>
#include <objects/biblio/Cit_book.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CCit_let_Base::, EType, false)
{
    SET_ENUM_INTERNAL_NAME("Cit-let", "type");
    SET_ENUM_MODULE("NCBI-Biblio");
    ADD_ENUM_VALUE("manuscript", eType_manuscript);
    ADD_ENUM_VALUE("letter", eType_letter);
    ADD_ENUM_VALUE("thesis", eType_thesis);
}
END_ENUM_INFO

void CCit_let_Base::ResetCit(void)
{
    if ( !m_Cit ) {
        m_Cit.Reset(new TCit());
        return;
    }
    (*m_Cit).Reset();
}

void CCit_let_Base::SetCit(CCit_let_Base::TCit& value)
{
    m_Cit.Reset(&value);
}

void CCit_let_Base::ResetMan_id(void)
{
    m_Man_id.erase();
    m_set_State[0] &= ~0xc;
}

void CCit_let_Base::Reset(void)
{
    ResetCit();
    ResetMan_id();
    ResetType();
}

BEGIN_NAMED_BASE_CLASS_INFO("Cit-let", CCit_let)
{
    SET_CLASS_MODULE("NCBI-Biblio");
    ADD_NAMED_REF_MEMBER("cit", m_Cit, CCit_book);
    ADD_NAMED_STD_MEMBER("man-id", m_Man_id)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_ENUM_MEMBER("type", m_Type, EType)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CCit_let_Base::CCit_let_Base(void)
    : m_Type((EType)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetCit();
    }
}

// destructor
CCit_let_Base::~CCit_let_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

