/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'biblio.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/biblio/Cit_proc.hpp>
#include <objects/biblio/Cit_book.hpp>
#include <objects/biblio/Meeting.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CCit_proc_Base::ResetBook(void)
{
    if ( !m_Book ) {
        m_Book.Reset(new TBook());
        return;
    }
    (*m_Book).Reset();
}

void CCit_proc_Base::SetBook(CCit_proc_Base::TBook& value)
{
    m_Book.Reset(&value);
}

void CCit_proc_Base::ResetMeet(void)
{
    if ( !m_Meet ) {
        m_Meet.Reset(new TMeet());
        return;
    }
    (*m_Meet).Reset();
}

void CCit_proc_Base::SetMeet(CCit_proc_Base::TMeet& value)
{
    m_Meet.Reset(&value);
}

void CCit_proc_Base::Reset(void)
{
    ResetBook();
    ResetMeet();
}

BEGIN_NAMED_BASE_CLASS_INFO("Cit-proc", CCit_proc)
{
    SET_CLASS_MODULE("NCBI-Biblio");
    ADD_NAMED_REF_MEMBER("book", m_Book, CCit_book);
    ADD_NAMED_REF_MEMBER("meet", m_Meet, CMeeting);
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CCit_proc_Base::CCit_proc_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetBook();
        ResetMeet();
    }
}

// destructor
CCit_proc_Base::~CCit_proc_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

