/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'biblio.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/biblio/Meeting.hpp>
#include <objects/biblio/Affil.hpp>
#include <objects/general/Date.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CMeeting_Base::ResetNumber(void)
{
    m_Number.erase();
    m_set_State[0] &= ~0x3;
}

void CMeeting_Base::ResetDate(void)
{
    if ( !m_Date ) {
        m_Date.Reset(new TDate());
        return;
    }
    (*m_Date).Reset();
}

void CMeeting_Base::SetDate(CMeeting_Base::TDate& value)
{
    m_Date.Reset(&value);
}

void CMeeting_Base::ResetPlace(void)
{
    m_Place.Reset();
}

void CMeeting_Base::SetPlace(CMeeting_Base::TPlace& value)
{
    m_Place.Reset(&value);
}

CMeeting_Base::TPlace& CMeeting_Base::SetPlace(void)
{
    if ( !m_Place )
        m_Place.Reset(new ncbi::objects::CAffil());
    return (*m_Place);
}

void CMeeting_Base::Reset(void)
{
    ResetNumber();
    ResetDate();
    ResetPlace();
}

BEGIN_NAMED_BASE_CLASS_INFO("Meeting", CMeeting)
{
    SET_CLASS_MODULE("NCBI-Biblio");
    ADD_NAMED_STD_MEMBER("number", m_Number)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("date", m_Date, CDate);
    ADD_NAMED_REF_MEMBER("place", m_Place, CAffil)->SetOptional();
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CMeeting_Base::CMeeting_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetDate();
    }
}

// destructor
CMeeting_Base::~CMeeting_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

