/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'blast.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/blast/Blas_comm_opti_nucle_query.hpp>
#include <objects/blast/Blas_comm_opti_disco_megab.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CBlast4_common_options_nucleotide_query_Base::ResetStrand_type_list(void)
{
    m_Strand_type_list.clear();
    m_set_State[0] &= ~0x3;
}

void CBlast4_common_options_nucleotide_query_Base::ResetDisco_megablast_options(void)
{
    m_Disco_megablast_options.Reset();
}

void CBlast4_common_options_nucleotide_query_Base::SetDisco_megablast_options(CBlast4_common_options_nucleotide_query_Base::TDisco_megablast_options& value)
{
    m_Disco_megablast_options.Reset(&value);
}

CBlast4_common_options_nucleotide_query_Base::TDisco_megablast_options& CBlast4_common_options_nucleotide_query_Base::SetDisco_megablast_options(void)
{
    if ( !m_Disco_megablast_options )
        m_Disco_megablast_options.Reset(new ncbi::objects::CBlast4_common_options_discontiguous_megablast());
    return (*m_Disco_megablast_options);
}

void CBlast4_common_options_nucleotide_query_Base::Reset(void)
{
    ResetStrand_type_list();
    ResetDisco_megablast_options();
}

BEGIN_NAMED_BASE_CLASS_INFO("Blast4-common-options-nucleotide-query", CBlast4_common_options_nucleotide_query)
{
    SET_CLASS_MODULE("NCBI-Blast4");
    ADD_NAMED_MEMBER("strand-type-list", m_Strand_type_list, STL_list, (ENUM, (EBlast4_strand_type, EBlast4_strand_type)))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("disco-megablast-options", m_Disco_megablast_options, CBlast4_common_options_discontiguous_megablast)->SetOptional();
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CBlast4_common_options_nucleotide_query_Base::CBlast4_common_options_nucleotide_query_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CBlast4_common_options_nucleotide_query_Base::~CBlast4_common_options_nucleotide_query_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

