/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'blast.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/blast/Blast_finish_params_reques.hpp>
#include <objects/blast/Blast4_parameters.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CBlast4_finish_params_request_Base::ResetProgram(void)
{
    m_Program.erase();
    m_set_State[0] &= ~0x3;
}

void CBlast4_finish_params_request_Base::ResetService(void)
{
    m_Service.erase();
    m_set_State[0] &= ~0xc;
}

void CBlast4_finish_params_request_Base::ResetParamset(void)
{
    m_Paramset.erase();
    m_set_State[0] &= ~0x30;
}

void CBlast4_finish_params_request_Base::ResetParams(void)
{
    m_Params.Reset();
}

void CBlast4_finish_params_request_Base::SetParams(CBlast4_finish_params_request_Base::TParams& value)
{
    m_Params.Reset(&value);
}

CBlast4_finish_params_request_Base::TParams& CBlast4_finish_params_request_Base::SetParams(void)
{
    if ( !m_Params )
        m_Params.Reset(new ncbi::objects::CBlast4_parameters());
    return (*m_Params);
}

void CBlast4_finish_params_request_Base::Reset(void)
{
    ResetProgram();
    ResetService();
    ResetParamset();
    ResetParams();
}

BEGIN_NAMED_BASE_CLASS_INFO("Blast4-finish-params-request", CBlast4_finish_params_request)
{
    SET_CLASS_MODULE("NCBI-Blast4");
    ADD_NAMED_STD_MEMBER("program", m_Program)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("service", m_Service)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("paramset", m_Paramset)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("params", m_Params, CBlast4_parameters)->SetOptional();
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CBlast4_finish_params_request_Base::CBlast4_finish_params_request_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CBlast4_finish_params_request_Base::~CBlast4_finish_params_request_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

