/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'blastdb.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/blastdb/Blast_db_mask_info.hpp>
#include <objects/blastdb/Blast_mask_list.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CBlast_db_mask_info_Base::ResetAlgo_options(void)
{
    m_Algo_options.erase();
    m_set_State[0] &= ~0x30;
}

void CBlast_db_mask_info_Base::ResetMasks(void)
{
    if ( !m_Masks ) {
        m_Masks.Reset(new TMasks());
        return;
    }
    (*m_Masks).Reset();
}

void CBlast_db_mask_info_Base::SetMasks(CBlast_db_mask_info_Base::TMasks& value)
{
    m_Masks.Reset(&value);
}

void CBlast_db_mask_info_Base::Reset(void)
{
    ResetAlgo_id();
    ResetAlgo_program();
    ResetAlgo_options();
    ResetMasks();
}

BEGIN_NAMED_BASE_CLASS_INFO("Blast-db-mask-info", CBlast_db_mask_info)
{
    SET_CLASS_MODULE("NCBI-BlastDL");
    ADD_NAMED_STD_MEMBER("algo-id", m_Algo_id)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_ENUM_MEMBER("algo-program", m_Algo_program, EBlast_filter_program)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("algo-options", m_Algo_options)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("masks", m_Masks, CBlast_mask_list);
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CBlast_db_mask_info_Base::CBlast_db_mask_info_Base(void)
    : m_Algo_id(0), m_Algo_program((int)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetMasks();
    }
}

// destructor
CBlast_db_mask_info_Base::~CBlast_db_mask_info_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

