/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'blastdb.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/blastdb/Blast_def_line.hpp>
#include <objects/seqloc/Seq_id.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CBlast_def_line_Base::ResetTitle(void)
{
    m_Title.erase();
    m_set_State[0] &= ~0x3;
}

void CBlast_def_line_Base::ResetSeqid(void)
{
    m_Seqid.clear();
    m_set_State[0] &= ~0xc;
}

void CBlast_def_line_Base::ResetMemberships(void)
{
    m_Memberships.clear();
    m_set_State[0] &= ~0xc0;
}

void CBlast_def_line_Base::ResetLinks(void)
{
    m_Links.clear();
    m_set_State[0] &= ~0x300;
}

void CBlast_def_line_Base::ResetOther_info(void)
{
    m_Other_info.clear();
    m_set_State[0] &= ~0xc00;
}

void CBlast_def_line_Base::Reset(void)
{
    ResetTitle();
    ResetSeqid();
    ResetTaxid();
    ResetMemberships();
    ResetLinks();
    ResetOther_info();
}

BEGIN_NAMED_BASE_CLASS_INFO("Blast-def-line", CBlast_def_line)
{
    SET_CLASS_MODULE("NCBI-BlastDL");
    ADD_NAMED_STD_MEMBER("title", m_Title)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("seqid", m_Seqid, STL_list, (STL_CRef, (CLASS, (CSeq_id))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("taxid", m_Taxid)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("memberships", m_Memberships, STL_list, (STD, (int)))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("links", m_Links, STL_list, (STD, (int)))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("other-info", m_Other_info, STL_list, (STD, (int)))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CBlast_def_line_Base::CBlast_def_line_Base(void)
    : m_Taxid(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CBlast_def_line_Base::~CBlast_def_line_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

