/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'blastxml.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/blastxml/Iteration.hpp>
#include <objects/blastxml/Hit.hpp>
#include <objects/blastxml/Statistics.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CIteration_Base::ResetQuery_ID(void)
{
    m_Query_ID.erase();
    m_set_State[0] &= ~0xc;
}

void CIteration_Base::ResetQuery_def(void)
{
    m_Query_def.erase();
    m_set_State[0] &= ~0x30;
}

void CIteration_Base::ResetHits(void)
{
    m_Hits.clear();
    m_set_State[0] &= ~0x300;
}

void CIteration_Base::ResetStat(void)
{
    m_Stat.Reset();
}

void CIteration_Base::SetStat(CIteration_Base::TStat& value)
{
    m_Stat.Reset(&value);
}

CIteration_Base::TStat& CIteration_Base::SetStat(void)
{
    if ( !m_Stat )
        m_Stat.Reset(new ncbi::objects::CStatistics());
    return (*m_Stat);
}

void CIteration_Base::ResetMessage(void)
{
    m_Message.erase();
    m_set_State[0] &= ~0x3000;
}

void CIteration_Base::Reset(void)
{
    ResetIter_num();
    ResetQuery_ID();
    ResetQuery_def();
    ResetQuery_len();
    ResetHits();
    ResetStat();
    ResetMessage();
}

BEGIN_NAMED_BASE_CLASS_INFO("Iteration", CIteration)
{
    SET_CLASS_MODULE("NCBI-BlastOutput");
    ADD_NAMED_STD_MEMBER("iter-num", m_Iter_num)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("query-ID", m_Query_ID)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("query-def", m_Query_def)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("query-len", m_Query_len)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("hits", m_Hits, STL_list, (STL_CRef, (CLASS, (CHit))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("stat", m_Stat, CStatistics)->SetOptional();
    ADD_NAMED_STD_MEMBER("message", m_Message)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CIteration_Base::CIteration_Base(void)
    : m_Iter_num(0), m_Query_len(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CIteration_Base::~CIteration_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

