/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'entrez2.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/entrez2/Entrez2_boolean_exp.hpp>
#include <objects/entrez2/Entrez2_boolean_element.hpp>
#include <objects/entrez2/Entrez2_limits.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CEntrez2_boolean_exp_Base::ResetDb(void)
{
    m_Db.Set().erase();
    m_set_State[0] &= ~0x3;
}

void CEntrez2_boolean_exp_Base::ResetExp(void)
{
    m_Exp.clear();
    m_set_State[0] &= ~0xc;
}

void CEntrez2_boolean_exp_Base::ResetLimits(void)
{
    m_Limits.Reset();
}

void CEntrez2_boolean_exp_Base::SetLimits(CEntrez2_boolean_exp_Base::TLimits& value)
{
    m_Limits.Reset(&value);
}

CEntrez2_boolean_exp_Base::TLimits& CEntrez2_boolean_exp_Base::SetLimits(void)
{
    if ( !m_Limits )
        m_Limits.Reset(new ncbi::objects::CEntrez2_limits());
    return (*m_Limits);
}

void CEntrez2_boolean_exp_Base::Reset(void)
{
    ResetDb();
    ResetExp();
    ResetLimits();
}

BEGIN_NAMED_BASE_CLASS_INFO("Entrez2-boolean-exp", CEntrez2_boolean_exp)
{
    SET_CLASS_MODULE("NCBI-Entrez2");
    ADD_NAMED_MEMBER("db", m_Db, CLASS, (CEntrez2_db_id))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("exp", m_Exp, STL_list, (STL_CRef, (CLASS, (CEntrez2_boolean_element))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("limits", m_Limits, CEntrez2_limits)->SetOptional();
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CEntrez2_boolean_exp_Base::CEntrez2_boolean_exp_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CEntrez2_boolean_exp_Base::~CEntrez2_boolean_exp_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

