/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'entrez2.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/entrez2/Entrez2_boolean_reply.hpp>
#include <objects/entrez2/Entrez2_boolean_exp.hpp>
#include <objects/entrez2/Entrez2_id_list.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CEntrez2_boolean_reply_Base::ResetUids(void)
{
    m_Uids.Reset();
}

void CEntrez2_boolean_reply_Base::SetUids(CEntrez2_boolean_reply_Base::TUids& value)
{
    m_Uids.Reset(&value);
}

CEntrez2_boolean_reply_Base::TUids& CEntrez2_boolean_reply_Base::SetUids(void)
{
    if ( !m_Uids )
        m_Uids.Reset(new ncbi::objects::CEntrez2_id_list());
    return (*m_Uids);
}

void CEntrez2_boolean_reply_Base::ResetQuery(void)
{
    m_Query.Reset();
}

void CEntrez2_boolean_reply_Base::SetQuery(CEntrez2_boolean_reply_Base::TQuery& value)
{
    m_Query.Reset(&value);
}

CEntrez2_boolean_reply_Base::TQuery& CEntrez2_boolean_reply_Base::SetQuery(void)
{
    if ( !m_Query )
        m_Query.Reset(new ncbi::objects::CEntrez2_boolean_exp());
    return (*m_Query);
}

void CEntrez2_boolean_reply_Base::Reset(void)
{
    ResetCount();
    ResetUids();
    ResetQuery();
}

BEGIN_NAMED_BASE_CLASS_INFO("Entrez2-boolean-reply", CEntrez2_boolean_reply)
{
    SET_CLASS_MODULE("NCBI-Entrez2");
    ADD_NAMED_STD_MEMBER("count", m_Count)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("uids", m_Uids, CEntrez2_id_list)->SetOptional();
    ADD_NAMED_REF_MEMBER("query", m_Query, CEntrez2_boolean_exp)->SetOptional();
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CEntrez2_boolean_reply_Base::CEntrez2_boolean_reply_Base(void)
    : m_Count(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CEntrez2_boolean_reply_Base::~CEntrez2_boolean_reply_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

