/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'entrez2.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/entrez2/Entrez2_boolean_term.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CEntrez2_boolean_term_Base::ResetField(void)
{
    m_Field.Set().erase();
    m_set_State[0] &= ~0x3;
}

void CEntrez2_boolean_term_Base::ResetTerm(void)
{
    m_Term.erase();
    m_set_State[0] &= ~0xc;
}

void CEntrez2_boolean_term_Base::Reset(void)
{
    ResetField();
    ResetTerm();
    ResetTerm_count();
    ResetDo_not_explode();
    ResetDo_not_translate();
}

BEGIN_NAMED_BASE_CLASS_INFO("Entrez2-boolean-term", CEntrez2_boolean_term)
{
    SET_CLASS_MODULE("NCBI-Entrez2");
    ADD_NAMED_MEMBER("field", m_Field, CLASS, (CEntrez2_field_id))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("term", m_Term)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("term-count", m_Term_count)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("do-not-explode", m_Do_not_explode)->SetDefault(new TDo_not_explode(false))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("do-not-translate", m_Do_not_translate)->SetDefault(new TDo_not_translate(false))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CEntrez2_boolean_term_Base::CEntrez2_boolean_term_Base(void)
    : m_Term_count(0), m_Do_not_explode(false), m_Do_not_translate(false)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CEntrez2_boolean_term_Base::~CEntrez2_boolean_term_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

