/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'entrez2.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/entrez2/Entrez2_db_info.hpp>
#include <objects/entrez2/Entrez2_docsum_field_info.hpp>
#include <objects/entrez2/Entrez2_field_info.hpp>
#include <objects/entrez2/Entrez2_link_info.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CEntrez2_db_info_Base::ResetDb_name(void)
{
    m_Db_name.Set().erase();
    m_set_State[0] &= ~0x3;
}

void CEntrez2_db_info_Base::ResetDb_menu(void)
{
    m_Db_menu.erase();
    m_set_State[0] &= ~0xc;
}

void CEntrez2_db_info_Base::ResetDb_descr(void)
{
    m_Db_descr.erase();
    m_set_State[0] &= ~0x30;
}

void CEntrez2_db_info_Base::ResetFields(void)
{
    m_Fields.clear();
    m_set_State[0] &= ~0xc00;
}

void CEntrez2_db_info_Base::ResetLinks(void)
{
    m_Links.clear();
    m_set_State[0] &= ~0xc000;
}

void CEntrez2_db_info_Base::ResetDocsum_fields(void)
{
    m_Docsum_fields.clear();
    m_set_State[0] &= ~0xc0000;
}

void CEntrez2_db_info_Base::Reset(void)
{
    ResetDb_name();
    ResetDb_menu();
    ResetDb_descr();
    ResetDoc_count();
    ResetField_count();
    ResetFields();
    ResetLink_count();
    ResetLinks();
    ResetDocsum_field_count();
    ResetDocsum_fields();
}

BEGIN_NAMED_BASE_CLASS_INFO("Entrez2-db-info", CEntrez2_db_info)
{
    SET_CLASS_MODULE("NCBI-Entrez2");
    ADD_NAMED_MEMBER("db-name", m_Db_name, CLASS, (CEntrez2_db_id))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("db-menu", m_Db_menu)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("db-descr", m_Db_descr)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("doc-count", m_Doc_count)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("field-count", m_Field_count)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("fields", m_Fields, STL_list, (STL_CRef, (CLASS, (CEntrez2_field_info))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("link-count", m_Link_count)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("links", m_Links, STL_list, (STL_CRef, (CLASS, (CEntrez2_link_info))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("docsum-field-count", m_Docsum_field_count)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("docsum-fields", m_Docsum_fields, STL_list, (STL_CRef, (CLASS, (CEntrez2_docsum_field_info))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CEntrez2_db_info_Base::CEntrez2_db_info_Base(void)
    : m_Doc_count(0), m_Field_count(0), m_Link_count(0), m_Docsum_field_count(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CEntrez2_db_info_Base::~CEntrez2_db_info_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

