/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'entrez2.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/entrez2/Entrez2_hier_node.hpp>
#include <objects/entrez2/Entrez2_term.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CEntrez2_hier_node_Base::ResetCannonical_form(void)
{
    m_Cannonical_form.erase();
    m_set_State[0] &= ~0x3;
}

void CEntrez2_hier_node_Base::ResetLineage(void)
{
    m_Lineage.clear();
    m_set_State[0] &= ~0x30;
}

void CEntrez2_hier_node_Base::ResetChildren(void)
{
    m_Children.clear();
    m_set_State[0] &= ~0x300;
}

void CEntrez2_hier_node_Base::Reset(void)
{
    ResetCannonical_form();
    ResetLineage_count();
    ResetLineage();
    ResetChild_count();
    ResetChildren();
    ResetIs_ambiguous();
}

BEGIN_NAMED_BASE_CLASS_INFO("Entrez2-hier-node", CEntrez2_hier_node)
{
    SET_CLASS_MODULE("NCBI-Entrez2");
    ADD_NAMED_STD_MEMBER("cannonical-form", m_Cannonical_form)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("lineage-count", m_Lineage_count)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("lineage", m_Lineage, STL_list, (STL_CRef, (CLASS, (CEntrez2_term))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("child-count", m_Child_count)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("children", m_Children, STL_list, (STL_CRef, (CLASS, (CEntrez2_term))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("is-ambiguous", m_Is_ambiguous)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CEntrez2_hier_node_Base::CEntrez2_hier_node_Base(void)
    : m_Lineage_count(0), m_Child_count(0), m_Is_ambiguous(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CEntrez2_hier_node_Base::~CEntrez2_hier_node_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

