/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'entrez2.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/entrez2/Entrez2_limits.hpp>
#include <objects/entrez2/Entrez2_dt_filter.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CEntrez2_limits_Base::ResetFilter_date(void)
{
    m_Filter_date.Reset();
}

void CEntrez2_limits_Base::SetFilter_date(CEntrez2_limits_Base::TFilter_date& value)
{
    m_Filter_date.Reset(&value);
}

CEntrez2_limits_Base::TFilter_date& CEntrez2_limits_Base::SetFilter_date(void)
{
    if ( !m_Filter_date )
        m_Filter_date.Reset(new ncbi::objects::CEntrez2_dt_filter());
    return (*m_Filter_date);
}

void CEntrez2_limits_Base::Reset(void)
{
    ResetFilter_date();
    ResetMax_UIDs();
    ResetOffset_UIDs();
}

BEGIN_NAMED_BASE_CLASS_INFO("Entrez2-limits", CEntrez2_limits)
{
    SET_CLASS_MODULE("NCBI-Entrez2");
    ADD_NAMED_REF_MEMBER("filter-date", m_Filter_date, CEntrez2_dt_filter)->SetOptional();
    ADD_NAMED_STD_MEMBER("max-UIDs", m_Max_UIDs)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("offset-UIDs", m_Offset_UIDs)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CEntrez2_limits_Base::CEntrez2_limits_Base(void)
    : m_Max_UIDs(0), m_Offset_UIDs(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CEntrez2_limits_Base::~CEntrez2_limits_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

