/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'entrez2.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/entrez2/Entrez2_request.hpp>
#include <objects/entrez2/E2Request.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CEntrez2_request_Base::ResetRequest(void)
{
    if ( !m_Request ) {
        m_Request.Reset(new TRequest());
        return;
    }
    (*m_Request).Reset();
}

void CEntrez2_request_Base::SetRequest(CEntrez2_request_Base::TRequest& value)
{
    m_Request.Reset(&value);
}

void CEntrez2_request_Base::ResetTool(void)
{
    m_Tool.erase();
    m_set_State[0] &= ~0x30;
}

void CEntrez2_request_Base::ResetCookie(void)
{
    m_Cookie.erase();
    m_set_State[0] &= ~0xc0;
}

void CEntrez2_request_Base::Reset(void)
{
    ResetRequest();
    ResetVersion();
    ResetTool();
    ResetCookie();
    ResetUse_history();
}

BEGIN_NAMED_BASE_CLASS_INFO("Entrez2-request", CEntrez2_request)
{
    SET_CLASS_MODULE("NCBI-Entrez2");
    ADD_NAMED_REF_MEMBER("request", m_Request, CE2Request);
    ADD_NAMED_STD_MEMBER("version", m_Version)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("tool", m_Tool)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("cookie", m_Cookie)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("use-history", m_Use_history)->SetDefault(new TUse_history(false))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CEntrez2_request_Base::CEntrez2_request_Base(void)
    : m_Version(0), m_Use_history(false)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetRequest();
    }
}

// destructor
CEntrez2_request_Base::~CEntrez2_request_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

