/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'general.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/general/Date.hpp>
#include <objects/general/Date_std.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CDate_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CDate_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Str:
        m_string.Destruct();
        break;
    case e_Std:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CDate_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Std:
        (m_object = new(pool) ncbi::objects::CDate_std())->AddReference();
        break;
    case e_Str:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CDate_Base::sm_SelectionNames[] = {
    "not set",
    "str",
    "std"
};

NCBI_NS_STD::string CDate_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CDate_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CDate_Base::SetStr(const CDate_Base::TStr& value)
{
    Select(e_Str, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

const CDate_Base::TStd& CDate_Base::GetStd(void) const
{
    CheckSelected(e_Std);
    return *static_cast<const TStd*>(m_object);
}

CDate_Base::TStd& CDate_Base::SetStd(void)
{
    Select(e_Std, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TStd*>(m_object);
}

void CDate_Base::SetStd(CDate_Base::TStd& value)
{
    TStd* ptr = &value;
    if ( m_choice != e_Std || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Std;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Date", CDate)
{
    SET_CHOICE_MODULE("NCBI-General");
    ADD_NAMED_BUF_CHOICE_VARIANT("str", m_string, STD, (string));
    ADD_NAMED_REF_CHOICE_VARIANT("std", m_object, CDate_std);
}
END_CHOICE_INFO

// constructor
CDate_Base::CDate_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CDate_Base::~CDate_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

