/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'genome_collection.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/genomecoll/GC_AssemblySet.hpp>
#include <objects/general/Dbtag.hpp>
#include <objects/genomecoll/GC_Assembly.hpp>
#include <objects/genomecoll/GC_AssemblyDesc.hpp>
#include <objects/genomecoll/GC_SequenceStats.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CGC_AssemblySet_Base::, ESet_type, true)
{
    SET_ENUM_INTERNAL_NAME("GC-AssemblySet", "set-type");
    SET_ENUM_MODULE("NCBI-GenomeCollection");
    ADD_ENUM_VALUE("full-assembly", eSet_type_full_assembly);
    ADD_ENUM_VALUE("assembly-set", eSet_type_assembly_set);
    ADD_ENUM_VALUE("other", eSet_type_other);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CGC_AssemblySet_Base::, EClass, true)
{
    SET_ENUM_INTERNAL_NAME("GC-AssemblySet", "class");
    SET_ENUM_MODULE("NCBI-GenomeCollection");
    ADD_ENUM_VALUE("full-assembly", eClass_full_assembly);
    ADD_ENUM_VALUE("haploid", eClass_haploid);
    ADD_ENUM_VALUE("haploid-with-alt-loci", eClass_haploid_with_alt_loci);
    ADD_ENUM_VALUE("diploid", eClass_diploid);
    ADD_ENUM_VALUE("annotation-target-set", eClass_annotation_target_set);
    ADD_ENUM_VALUE("analysis-set", eClass_analysis_set);
    ADD_ENUM_VALUE("other", eClass_other);
}
END_ENUM_INFO

void CGC_AssemblySet_Base::ResetId(void)
{
    m_Id.clear();
    m_set_State[0] &= ~0x3;
}

void CGC_AssemblySet_Base::ResetDesc(void)
{
    if ( !m_Desc ) {
        m_Desc.Reset(new TDesc());
        return;
    }
    (*m_Desc).Reset();
}

void CGC_AssemblySet_Base::SetDesc(CGC_AssemblySet_Base::TDesc& value)
{
    m_Desc.Reset(&value);
}

void CGC_AssemblySet_Base::ResetPrimary_assembly(void)
{
    if ( !m_Primary_assembly ) {
        m_Primary_assembly.Reset(new TPrimary_assembly());
        return;
    }
    (*m_Primary_assembly).Reset();
}

void CGC_AssemblySet_Base::SetPrimary_assembly(CGC_AssemblySet_Base::TPrimary_assembly& value)
{
    m_Primary_assembly.Reset(&value);
}

void CGC_AssemblySet_Base::ResetMore_assemblies(void)
{
    m_More_assemblies.clear();
    m_set_State[0] &= ~0xc00;
}

void CGC_AssemblySet_Base::ResetStats(void)
{
    m_Stats.Reset();
}

void CGC_AssemblySet_Base::SetStats(CGC_AssemblySet_Base::TStats& value)
{
    m_Stats.Reset(&value);
}

CGC_AssemblySet_Base::TStats& CGC_AssemblySet_Base::SetStats(void)
{
    if ( !m_Stats )
        m_Stats.Reset(new ncbi::objects::CGC_SequenceStats());
    return (*m_Stats);
}

void CGC_AssemblySet_Base::Reset(void)
{
    ResetId();
    ResetSet_type();
    ResetClass();
    ResetDesc();
    ResetPrimary_assembly();
    ResetMore_assemblies();
    ResetStats();
}

BEGIN_NAMED_BASE_CLASS_INFO("GC-AssemblySet", CGC_AssemblySet)
{
    SET_CLASS_MODULE("NCBI-GenomeCollection");
    ADD_NAMED_MEMBER("id", m_Id, STL_list_set, (STL_CRef, (CLASS, (CDbtag))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_ENUM_MEMBER("set-type", m_Set_type, ESet_type)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_ENUM_MEMBER("class", m_Class, EClass)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("desc", m_Desc, CGC_AssemblyDesc);
    ADD_NAMED_REF_MEMBER("primary-assembly", m_Primary_assembly, CGC_Assembly);
    ADD_NAMED_MEMBER("more-assemblies", m_More_assemblies, STL_list_set, (STL_CRef, (CLASS, (CGC_Assembly))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("stats", m_Stats, CGC_SequenceStats)->SetOptional();
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CGC_AssemblySet_Base::CGC_AssemblySet_Base(void)
    : m_Set_type((ESet_type)(0)), m_Class((EClass)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetDesc();
        ResetPrimary_assembly();
    }
}

// destructor
CGC_AssemblySet_Base::~CGC_AssemblySet_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

