/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'genome_collection.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/genomecoll/GC_Assembly.hpp>
#include <objects/genomecoll/GC_AssemblySet.hpp>
#include <objects/genomecoll/GC_AssemblyUnit.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CGC_Assembly_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CGC_Assembly_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Unit:
    case e_Assembly_set:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CGC_Assembly_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Unit:
        (m_object = new(pool) ncbi::objects::CGC_AssemblyUnit())->AddReference();
        break;
    case e_Assembly_set:
        (m_object = new(pool) ncbi::objects::CGC_AssemblySet())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CGC_Assembly_Base::sm_SelectionNames[] = {
    "not set",
    "unit",
    "assembly-set"
};

NCBI_NS_STD::string CGC_Assembly_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CGC_Assembly_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CGC_Assembly_Base::TUnit& CGC_Assembly_Base::GetUnit(void) const
{
    CheckSelected(e_Unit);
    return *static_cast<const TUnit*>(m_object);
}

CGC_Assembly_Base::TUnit& CGC_Assembly_Base::SetUnit(void)
{
    Select(e_Unit, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TUnit*>(m_object);
}

void CGC_Assembly_Base::SetUnit(CGC_Assembly_Base::TUnit& value)
{
    TUnit* ptr = &value;
    if ( m_choice != e_Unit || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Unit;
    }
}

const CGC_Assembly_Base::TAssembly_set& CGC_Assembly_Base::GetAssembly_set(void) const
{
    CheckSelected(e_Assembly_set);
    return *static_cast<const TAssembly_set*>(m_object);
}

CGC_Assembly_Base::TAssembly_set& CGC_Assembly_Base::SetAssembly_set(void)
{
    Select(e_Assembly_set, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TAssembly_set*>(m_object);
}

void CGC_Assembly_Base::SetAssembly_set(CGC_Assembly_Base::TAssembly_set& value)
{
    TAssembly_set* ptr = &value;
    if ( m_choice != e_Assembly_set || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Assembly_set;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("GC-Assembly", CGC_Assembly)
{
    SET_CHOICE_MODULE("NCBI-GenomeCollection");
    ADD_NAMED_REF_CHOICE_VARIANT("unit", m_object, CGC_AssemblyUnit);
    ADD_NAMED_REF_CHOICE_VARIANT("assembly-set", m_object, CGC_AssemblySet);
}
END_CHOICE_INFO

// constructor
CGC_Assembly_Base::CGC_Assembly_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CGC_Assembly_Base::~CGC_Assembly_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

