/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'genome_collection.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/genomecoll/GC_Replicon.hpp>
#include <objects/genomecoll/GC_Sequence.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CGC_Replicon_Base::C_Sequence::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CGC_Replicon_Base::C_Sequence::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Set:
        m_Set.Destruct();
        break;
    case e_Single:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CGC_Replicon_Base::C_Sequence::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Single:
        (m_object = new(pool) ncbi::objects::CGC_Sequence())->AddReference();
        break;
    case e_Set:
        m_Set.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CGC_Replicon_Base::C_Sequence::sm_SelectionNames[] = {
    "not set",
    "single",
    "set"
};

NCBI_NS_STD::string CGC_Replicon_Base::C_Sequence::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CGC_Replicon_Base::C_Sequence::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CGC_Replicon_Base::C_Sequence::TSingle& CGC_Replicon_Base::C_Sequence::GetSingle(void) const
{
    CheckSelected(e_Single);
    return *static_cast<const TSingle*>(m_object);
}

CGC_Replicon_Base::C_Sequence::TSingle& CGC_Replicon_Base::C_Sequence::SetSingle(void)
{
    Select(e_Single, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSingle*>(m_object);
}

void CGC_Replicon_Base::C_Sequence::SetSingle(CGC_Replicon_Base::C_Sequence::TSingle& value)
{
    TSingle* ptr = &value;
    if ( m_choice != e_Single || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Single;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CGC_Replicon_Base::C_Sequence)
{
    SET_INTERNAL_NAME("GC-Replicon", "sequence");
    SET_CHOICE_MODULE("NCBI-GenomeCollection");
    ADD_NAMED_REF_CHOICE_VARIANT("single", m_object, CGC_Sequence);
    ADD_NAMED_BUF_CHOICE_VARIANT("set", m_Set, STL_list_set, (STL_CRef, (CLASS, (CGC_Sequence))));
}
END_CHOICE_INFO

// constructor
CGC_Replicon_Base::C_Sequence::C_Sequence(void)
    : m_choice(e_not_set)
{
}

// destructor
CGC_Replicon_Base::C_Sequence::~C_Sequence(void)
{
    Reset();
}


void CGC_Replicon_Base::ResetName(void)
{
    m_Name.erase();
    m_set_State[0] &= ~0x3;
}

void CGC_Replicon_Base::ResetLocal_name(void)
{
    m_Local_name.erase();
    m_set_State[0] &= ~0xc;
}

void CGC_Replicon_Base::ResetSequence(void)
{
    if ( !m_Sequence ) {
        m_Sequence.Reset(new TSequence());
        return;
    }
    (*m_Sequence).Reset();
}

void CGC_Replicon_Base::SetSequence(CGC_Replicon_Base::TSequence& value)
{
    m_Sequence.Reset(&value);
}

void CGC_Replicon_Base::Reset(void)
{
    ResetName();
    ResetLocal_name();
    ResetSequence();
}

BEGIN_NAMED_BASE_CLASS_INFO("GC-Replicon", CGC_Replicon)
{
    SET_CLASS_MODULE("NCBI-GenomeCollection");
    ADD_NAMED_STD_MEMBER("name", m_Name)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("local-name", m_Local_name)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("sequence", m_Sequence, C_Sequence);
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CGC_Replicon_Base::CGC_Replicon_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetSequence();
    }
}

// destructor
CGC_Replicon_Base::~CGC_Replicon_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

