/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'genome_collection.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/genomecoll/GC_TypedSeqId.hpp>
#include <objects/genomecoll/GC_External_Seqid.hpp>
#include <objects/genomecoll/GC_SeqIdAlias.hpp>
#include <objects/seqloc/Seq_id.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CGC_TypedSeqId_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CGC_TypedSeqId_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Genbank:
    case e_Refseq:
    case e_Private:
    case e_External:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CGC_TypedSeqId_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Genbank:
        (m_object = new(pool) ncbi::objects::CGC_SeqIdAlias())->AddReference();
        break;
    case e_Refseq:
        (m_object = new(pool) ncbi::objects::CGC_SeqIdAlias())->AddReference();
        break;
    case e_Private:
        (m_object = new(pool) ncbi::objects::CSeq_id())->AddReference();
        break;
    case e_External:
        (m_object = new(pool) ncbi::objects::CGC_External_Seqid())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CGC_TypedSeqId_Base::sm_SelectionNames[] = {
    "not set",
    "genbank",
    "refseq",
    "private",
    "external"
};

NCBI_NS_STD::string CGC_TypedSeqId_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CGC_TypedSeqId_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CGC_TypedSeqId_Base::TGenbank& CGC_TypedSeqId_Base::GetGenbank(void) const
{
    CheckSelected(e_Genbank);
    return *static_cast<const TGenbank*>(m_object);
}

CGC_TypedSeqId_Base::TGenbank& CGC_TypedSeqId_Base::SetGenbank(void)
{
    Select(e_Genbank, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TGenbank*>(m_object);
}

void CGC_TypedSeqId_Base::SetGenbank(CGC_TypedSeqId_Base::TGenbank& value)
{
    TGenbank* ptr = &value;
    if ( m_choice != e_Genbank || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Genbank;
    }
}

const CGC_TypedSeqId_Base::TRefseq& CGC_TypedSeqId_Base::GetRefseq(void) const
{
    CheckSelected(e_Refseq);
    return *static_cast<const TRefseq*>(m_object);
}

CGC_TypedSeqId_Base::TRefseq& CGC_TypedSeqId_Base::SetRefseq(void)
{
    Select(e_Refseq, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TRefseq*>(m_object);
}

void CGC_TypedSeqId_Base::SetRefseq(CGC_TypedSeqId_Base::TRefseq& value)
{
    TRefseq* ptr = &value;
    if ( m_choice != e_Refseq || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Refseq;
    }
}

const CGC_TypedSeqId_Base::TPrivate& CGC_TypedSeqId_Base::GetPrivate(void) const
{
    CheckSelected(e_Private);
    return *static_cast<const TPrivate*>(m_object);
}

CGC_TypedSeqId_Base::TPrivate& CGC_TypedSeqId_Base::SetPrivate(void)
{
    Select(e_Private, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TPrivate*>(m_object);
}

void CGC_TypedSeqId_Base::SetPrivate(CGC_TypedSeqId_Base::TPrivate& value)
{
    TPrivate* ptr = &value;
    if ( m_choice != e_Private || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Private;
    }
}

const CGC_TypedSeqId_Base::TExternal& CGC_TypedSeqId_Base::GetExternal(void) const
{
    CheckSelected(e_External);
    return *static_cast<const TExternal*>(m_object);
}

CGC_TypedSeqId_Base::TExternal& CGC_TypedSeqId_Base::SetExternal(void)
{
    Select(e_External, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TExternal*>(m_object);
}

void CGC_TypedSeqId_Base::SetExternal(CGC_TypedSeqId_Base::TExternal& value)
{
    TExternal* ptr = &value;
    if ( m_choice != e_External || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_External;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("GC-TypedSeqId", CGC_TypedSeqId)
{
    SET_CHOICE_MODULE("NCBI-GenomeCollection");
    ADD_NAMED_REF_CHOICE_VARIANT("genbank", m_object, CGC_SeqIdAlias);
    ADD_NAMED_REF_CHOICE_VARIANT("refseq", m_object, CGC_SeqIdAlias);
    ADD_NAMED_REF_CHOICE_VARIANT("private", m_object, CSeq_id);
    ADD_NAMED_REF_CHOICE_VARIANT("external", m_object, CGC_External_Seqid);
}
END_CHOICE_INFO

// constructor
CGC_TypedSeqId_Base::CGC_TypedSeqId_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CGC_TypedSeqId_Base::~CGC_TypedSeqId_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

