/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'id1.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/id1/ID1SeqEntry_info.hpp>
#include <objects/id1/ID1blob_info.hpp>
#include <objects/seqset/Seq_entry.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CID1SeqEntry_info_Base::ResetBlob_info(void)
{
    if ( !m_Blob_info ) {
        m_Blob_info.Reset(new TBlob_info());
        return;
    }
    (*m_Blob_info).Reset();
}

void CID1SeqEntry_info_Base::SetBlob_info(CID1SeqEntry_info_Base::TBlob_info& value)
{
    m_Blob_info.Reset(&value);
}

void CID1SeqEntry_info_Base::ResetBlob(void)
{
    m_Blob.Reset();
}

void CID1SeqEntry_info_Base::SetBlob(CID1SeqEntry_info_Base::TBlob& value)
{
    m_Blob.Reset(&value);
}

CID1SeqEntry_info_Base::TBlob& CID1SeqEntry_info_Base::SetBlob(void)
{
    if ( !m_Blob )
        m_Blob.Reset(new ncbi::objects::CSeq_entry());
    return (*m_Blob);
}

void CID1SeqEntry_info_Base::Reset(void)
{
    ResetBlob_info();
    ResetBlob();
}

BEGIN_NAMED_BASE_CLASS_INFO("ID1SeqEntry-info", CID1SeqEntry_info)
{
    SET_CLASS_MODULE("NCBI-ID1Access");
    ADD_NAMED_REF_MEMBER("blob-info", m_Blob_info, CID1blob_info);
    ADD_NAMED_REF_MEMBER("blob", m_Blob, CSeq_entry)->SetOptional();
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CID1SeqEntry_info_Base::CID1SeqEntry_info_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetBlob_info();
    }
}

// destructor
CID1SeqEntry_info_Base::~CID1SeqEntry_info_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

