/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'id1.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/id1/ID1blob_info.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CID1blob_info_Base::ResetSatname(void)
{
    m_Satname.erase();
    m_set_State[0] &= ~0xc0;
}

void CID1blob_info_Base::ResetComment(void)
{
    m_Comment.erase();
    m_set_State[0] &= ~0x30000;
}

void CID1blob_info_Base::Reset(void)
{
    ResetGi();
    ResetSat();
    ResetSat_key();
    ResetSatname();
    ResetSuppress();
    ResetWithdrawn();
    ResetConfidential();
    ResetBlob_state();
    ResetComment();
    ResetExtfeatmask();
}

BEGIN_NAMED_BASE_CLASS_INFO("ID1blob-info", CID1blob_info)
{
    SET_CLASS_MODULE("NCBI-ID1Access");
    ADD_NAMED_STD_MEMBER("gi", m_Gi)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("sat", m_Sat)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("sat-key", m_Sat_key)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("satname", m_Satname)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("suppress", m_Suppress)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("withdrawn", m_Withdrawn)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("confidential", m_Confidential)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("blob-state", m_Blob_state)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("comment", m_Comment)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("extfeatmask", m_Extfeatmask)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CID1blob_info_Base::CID1blob_info_Base(void)
    : m_Gi(0), m_Sat(0), m_Sat_key(0), m_Suppress(0), m_Withdrawn(0), m_Confidential(0), m_Blob_state(0), m_Extfeatmask(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CID1blob_info_Base::~CID1blob_info_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

