/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'id1.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/id1/ID1server_request.hpp>
#include <objects/id1/ID1server_maxcomplex.hpp>
#include <objects/seqloc/Seq_id.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CID1server_request_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CID1server_request_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Getgi:
    case e_Getsefromgi:
    case e_Getsewithinfo:
    case e_Getblobinfo:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CID1server_request_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Getgi:
        (m_object = new(pool) ncbi::objects::CSeq_id())->AddReference();
        break;
    case e_Getsefromgi:
        (m_object = new(pool) ncbi::objects::CID1server_maxcomplex())->AddReference();
        break;
    case e_Getseqidsfromgi:
        m_Getseqidsfromgi = 0;
        break;
    case e_Getgihist:
        m_Getgihist = 0;
        break;
    case e_Getgirev:
        m_Getgirev = 0;
        break;
    case e_Getgistate:
        m_Getgistate = 0;
        break;
    case e_Getsewithinfo:
        (m_object = new(pool) ncbi::objects::CID1server_maxcomplex())->AddReference();
        break;
    case e_Getblobinfo:
        (m_object = new(pool) ncbi::objects::CID1server_maxcomplex())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CID1server_request_Base::sm_SelectionNames[] = {
    "not set",
    "init",
    "getgi",
    "getsefromgi",
    "fini",
    "getseqidsfromgi",
    "getgihist",
    "getgirev",
    "getgistate",
    "getsewithinfo",
    "getblobinfo"
};

NCBI_NS_STD::string CID1server_request_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CID1server_request_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CID1server_request_Base::TGetgi& CID1server_request_Base::GetGetgi(void) const
{
    CheckSelected(e_Getgi);
    return *static_cast<const TGetgi*>(m_object);
}

CID1server_request_Base::TGetgi& CID1server_request_Base::SetGetgi(void)
{
    Select(e_Getgi, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TGetgi*>(m_object);
}

void CID1server_request_Base::SetGetgi(CID1server_request_Base::TGetgi& value)
{
    TGetgi* ptr = &value;
    if ( m_choice != e_Getgi || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Getgi;
    }
}

const CID1server_request_Base::TGetsefromgi& CID1server_request_Base::GetGetsefromgi(void) const
{
    CheckSelected(e_Getsefromgi);
    return *static_cast<const TGetsefromgi*>(m_object);
}

CID1server_request_Base::TGetsefromgi& CID1server_request_Base::SetGetsefromgi(void)
{
    Select(e_Getsefromgi, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TGetsefromgi*>(m_object);
}

void CID1server_request_Base::SetGetsefromgi(CID1server_request_Base::TGetsefromgi& value)
{
    TGetsefromgi* ptr = &value;
    if ( m_choice != e_Getsefromgi || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Getsefromgi;
    }
}

const CID1server_request_Base::TGetsewithinfo& CID1server_request_Base::GetGetsewithinfo(void) const
{
    CheckSelected(e_Getsewithinfo);
    return *static_cast<const TGetsewithinfo*>(m_object);
}

CID1server_request_Base::TGetsewithinfo& CID1server_request_Base::SetGetsewithinfo(void)
{
    Select(e_Getsewithinfo, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TGetsewithinfo*>(m_object);
}

void CID1server_request_Base::SetGetsewithinfo(CID1server_request_Base::TGetsewithinfo& value)
{
    TGetsewithinfo* ptr = &value;
    if ( m_choice != e_Getsewithinfo || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Getsewithinfo;
    }
}

const CID1server_request_Base::TGetblobinfo& CID1server_request_Base::GetGetblobinfo(void) const
{
    CheckSelected(e_Getblobinfo);
    return *static_cast<const TGetblobinfo*>(m_object);
}

CID1server_request_Base::TGetblobinfo& CID1server_request_Base::SetGetblobinfo(void)
{
    Select(e_Getblobinfo, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TGetblobinfo*>(m_object);
}

void CID1server_request_Base::SetGetblobinfo(CID1server_request_Base::TGetblobinfo& value)
{
    TGetblobinfo* ptr = &value;
    if ( m_choice != e_Getblobinfo || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Getblobinfo;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("ID1server-request", CID1server_request)
{
    SET_CHOICE_MODULE("NCBI-ID1Access");
    ADD_NAMED_NULL_CHOICE_VARIANT("init", null, ());
    ADD_NAMED_REF_CHOICE_VARIANT("getgi", m_object, CSeq_id);
    ADD_NAMED_REF_CHOICE_VARIANT("getsefromgi", m_object, CID1server_maxcomplex);
    ADD_NAMED_NULL_CHOICE_VARIANT("fini", null, ());
    ADD_NAMED_STD_CHOICE_VARIANT("getseqidsfromgi", m_Getseqidsfromgi);
    ADD_NAMED_STD_CHOICE_VARIANT("getgihist", m_Getgihist);
    ADD_NAMED_STD_CHOICE_VARIANT("getgirev", m_Getgirev);
    ADD_NAMED_STD_CHOICE_VARIANT("getgistate", m_Getgistate);
    ADD_NAMED_REF_CHOICE_VARIANT("getsewithinfo", m_object, CID1server_maxcomplex);
    ADD_NAMED_REF_CHOICE_VARIANT("getblobinfo", m_object, CID1server_maxcomplex);
}
END_CHOICE_INFO

// constructor
CID1server_request_Base::CID1server_request_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CID1server_request_Base::~CID1server_request_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

