/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'id2.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/id2/ID2_Reply_Get_Seq_id.hpp>
#include <objects/id2/ID2_Request_Get_Seq_id.hpp>
#include <objects/seqloc/Seq_id.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CID2_Reply_Get_Seq_id_Base::ResetRequest(void)
{
    if ( !m_Request ) {
        m_Request.Reset(new TRequest());
        return;
    }
    (*m_Request).Reset();
}

void CID2_Reply_Get_Seq_id_Base::SetRequest(CID2_Reply_Get_Seq_id_Base::TRequest& value)
{
    m_Request.Reset(&value);
}

void CID2_Reply_Get_Seq_id_Base::ResetSeq_id(void)
{
    m_Seq_id.clear();
    m_set_State[0] &= ~0xc;
}

void CID2_Reply_Get_Seq_id_Base::Reset(void)
{
    ResetRequest();
    ResetSeq_id();
    ResetEnd_of_reply();
}

BEGIN_NAMED_BASE_CLASS_INFO("ID2-Reply-Get-Seq-id", CID2_Reply_Get_Seq_id)
{
    SET_CLASS_MODULE("NCBI-ID2Access");
    ADD_NAMED_REF_MEMBER("request", m_Request, CID2_Request_Get_Seq_id);
    ADD_NAMED_MEMBER("seq-id", m_Seq_id, STL_list, (STL_CRef, (CLASS, (CSeq_id))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_NULL_MEMBER("end-of-reply", null, ())->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CID2_Reply_Get_Seq_id_Base::CID2_Reply_Get_Seq_id_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetRequest();
    }
}

// destructor
CID2_Reply_Get_Seq_id_Base::~CID2_Reply_Get_Seq_id_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

