/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'medline.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/medline/Medline_mesh.hpp>
#include <objects/medline/Medline_qual.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CMedline_mesh_Base::ResetTerm(void)
{
    m_Term.erase();
    m_set_State[0] &= ~0xc;
}

void CMedline_mesh_Base::ResetQual(void)
{
    m_Qual.clear();
    m_set_State[0] &= ~0x30;
}

void CMedline_mesh_Base::Reset(void)
{
    ResetMp();
    ResetTerm();
    ResetQual();
}

BEGIN_NAMED_BASE_CLASS_INFO("Medline-mesh", CMedline_mesh)
{
    SET_CLASS_MODULE("NCBI-Medline");
    ADD_NAMED_STD_MEMBER("mp", m_Mp)->SetDefault(new TMp(false))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("term", m_Term)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("qual", m_Qual, STL_list_set, (STL_CRef, (CLASS, (CMedline_qual))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CMedline_mesh_Base::CMedline_mesh_Base(void)
    : m_Mp(false)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMedline_mesh_Base::~CMedline_mesh_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

