/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'medline.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/medline/Medline_si.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CMedline_si_Base::, EType, false)
{
    SET_ENUM_INTERNAL_NAME("Medline-si", "type");
    SET_ENUM_MODULE("NCBI-Medline");
    ADD_ENUM_VALUE("ddbj", eType_ddbj);
    ADD_ENUM_VALUE("carbbank", eType_carbbank);
    ADD_ENUM_VALUE("embl", eType_embl);
    ADD_ENUM_VALUE("hdb", eType_hdb);
    ADD_ENUM_VALUE("genbank", eType_genbank);
    ADD_ENUM_VALUE("hgml", eType_hgml);
    ADD_ENUM_VALUE("mim", eType_mim);
    ADD_ENUM_VALUE("msd", eType_msd);
    ADD_ENUM_VALUE("pdb", eType_pdb);
    ADD_ENUM_VALUE("pir", eType_pir);
    ADD_ENUM_VALUE("prfseqdb", eType_prfseqdb);
    ADD_ENUM_VALUE("psd", eType_psd);
    ADD_ENUM_VALUE("swissprot", eType_swissprot);
    ADD_ENUM_VALUE("gdb", eType_gdb);
}
END_ENUM_INFO

void CMedline_si_Base::ResetCit(void)
{
    m_Cit.erase();
    m_set_State[0] &= ~0xc;
}

void CMedline_si_Base::Reset(void)
{
    ResetType();
    ResetCit();
}

BEGIN_NAMED_BASE_CLASS_INFO("Medline-si", CMedline_si)
{
    SET_CLASS_MODULE("NCBI-Medline");
    ADD_NAMED_ENUM_MEMBER("type", m_Type, EType)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("cit", m_Cit)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CMedline_si_Base::CMedline_si_Base(void)
    : m_Type((EType)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMedline_si_Base::~CMedline_si_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

