/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seq.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seq/Delta_seq.hpp>
#include <objects/seq/Seq_literal.hpp>
#include <objects/seqloc/Seq_loc.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CDelta_seq_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CDelta_seq_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Loc:
    case e_Literal:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CDelta_seq_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Loc:
        (m_object = new(pool) ncbi::objects::CSeq_loc())->AddReference();
        break;
    case e_Literal:
        (m_object = new(pool) ncbi::objects::CSeq_literal())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CDelta_seq_Base::sm_SelectionNames[] = {
    "not set",
    "loc",
    "literal"
};

NCBI_NS_STD::string CDelta_seq_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CDelta_seq_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CDelta_seq_Base::TLoc& CDelta_seq_Base::GetLoc(void) const
{
    CheckSelected(e_Loc);
    return *static_cast<const TLoc*>(m_object);
}

CDelta_seq_Base::TLoc& CDelta_seq_Base::SetLoc(void)
{
    Select(e_Loc, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TLoc*>(m_object);
}

void CDelta_seq_Base::SetLoc(CDelta_seq_Base::TLoc& value)
{
    TLoc* ptr = &value;
    if ( m_choice != e_Loc || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Loc;
    }
}

const CDelta_seq_Base::TLiteral& CDelta_seq_Base::GetLiteral(void) const
{
    CheckSelected(e_Literal);
    return *static_cast<const TLiteral*>(m_object);
}

CDelta_seq_Base::TLiteral& CDelta_seq_Base::SetLiteral(void)
{
    Select(e_Literal, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TLiteral*>(m_object);
}

void CDelta_seq_Base::SetLiteral(CDelta_seq_Base::TLiteral& value)
{
    TLiteral* ptr = &value;
    if ( m_choice != e_Literal || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Literal;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Delta-seq", CDelta_seq)
{
    SET_CHOICE_MODULE("NCBI-Sequence");
    ADD_NAMED_REF_CHOICE_VARIANT("loc", m_object, CSeq_loc);
    ADD_NAMED_REF_CHOICE_VARIANT("literal", m_object, CSeq_literal);
}
END_CHOICE_INFO

// constructor
CDelta_seq_Base::CDelta_seq_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CDelta_seq_Base::~CDelta_seq_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

