/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seq.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seq/Linkage_evidence.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CLinkage_evidence_Base::, EType, true)
{
    SET_ENUM_INTERNAL_NAME("Linkage-evidence", "type");
    SET_ENUM_MODULE("NCBI-Sequence");
    ADD_ENUM_VALUE("paired-ends", eType_paired_ends);
    ADD_ENUM_VALUE("align-genus", eType_align_genus);
    ADD_ENUM_VALUE("align-xgenus", eType_align_xgenus);
    ADD_ENUM_VALUE("align-trnscpt", eType_align_trnscpt);
    ADD_ENUM_VALUE("within-clone", eType_within_clone);
    ADD_ENUM_VALUE("clone-contig", eType_clone_contig);
    ADD_ENUM_VALUE("map", eType_map);
    ADD_ENUM_VALUE("strobe", eType_strobe);
    ADD_ENUM_VALUE("unspecified", eType_unspecified);
    ADD_ENUM_VALUE("pcr", eType_pcr);
    ADD_ENUM_VALUE("other", eType_other);
}
END_ENUM_INFO

void CLinkage_evidence_Base::Reset(void)
{
    ResetType();
}

BEGIN_NAMED_BASE_CLASS_INFO("Linkage-evidence", CLinkage_evidence)
{
    SET_CLASS_MODULE("NCBI-Sequence");
    ADD_NAMED_ENUM_MEMBER("type", m_Type, EType)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CLinkage_evidence_Base::CLinkage_evidence_Base(void)
    : m_Type((EType)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CLinkage_evidence_Base::~CLinkage_evidence_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

