/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seq.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seq/Num_ref.hpp>
#include <objects/seqalign/Seq_align.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CNum_ref_Base::, EType, false)
{
    SET_ENUM_INTERNAL_NAME("Num-ref", "type");
    SET_ENUM_MODULE("NCBI-Sequence");
    ADD_ENUM_VALUE("not-set", eType_not_set);
    ADD_ENUM_VALUE("sources", eType_sources);
    ADD_ENUM_VALUE("aligns", eType_aligns);
}
END_ENUM_INFO

void CNum_ref_Base::ResetAligns(void)
{
    m_Aligns.Reset();
}

void CNum_ref_Base::SetAligns(CNum_ref_Base::TAligns& value)
{
    m_Aligns.Reset(&value);
}

CNum_ref_Base::TAligns& CNum_ref_Base::SetAligns(void)
{
    if ( !m_Aligns )
        m_Aligns.Reset(new ncbi::objects::CSeq_align());
    return (*m_Aligns);
}

void CNum_ref_Base::Reset(void)
{
    ResetType();
    ResetAligns();
}

BEGIN_NAMED_BASE_CLASS_INFO("Num-ref", CNum_ref)
{
    SET_CLASS_MODULE("NCBI-Sequence");
    ADD_NAMED_ENUM_MEMBER("type", m_Type, EType)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("aligns", m_Aligns, CSeq_align)->SetOptional();
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CNum_ref_Base::CNum_ref_Base(void)
    : m_Type((EType)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CNum_ref_Base::~CNum_ref_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

