/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqalign.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqalign/Product_pos.hpp>
#include <objects/seqalign/Prot_pos.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CProduct_pos_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CProduct_pos_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Protpos:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CProduct_pos_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Nucpos:
        m_Nucpos = 0;
        break;
    case e_Protpos:
        (m_object = new(pool) ncbi::objects::CProt_pos())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CProduct_pos_Base::sm_SelectionNames[] = {
    "not set",
    "nucpos",
    "protpos"
};

NCBI_NS_STD::string CProduct_pos_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CProduct_pos_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CProduct_pos_Base::TProtpos& CProduct_pos_Base::GetProtpos(void) const
{
    CheckSelected(e_Protpos);
    return *static_cast<const TProtpos*>(m_object);
}

CProduct_pos_Base::TProtpos& CProduct_pos_Base::SetProtpos(void)
{
    Select(e_Protpos, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TProtpos*>(m_object);
}

void CProduct_pos_Base::SetProtpos(CProduct_pos_Base::TProtpos& value)
{
    TProtpos* ptr = &value;
    if ( m_choice != e_Protpos || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Protpos;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Product-pos", CProduct_pos)
{
    SET_CHOICE_MODULE("NCBI-Seqalign");
    ADD_NAMED_STD_CHOICE_VARIANT("nucpos", m_Nucpos);
    ADD_NAMED_REF_CHOICE_VARIANT("protpos", m_object, CProt_pos);
}
END_CHOICE_INFO

// constructor
CProduct_pos_Base::CProduct_pos_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CProduct_pos_Base::~CProduct_pos_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

