/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqalign.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqalign/Score.hpp>
#include <objects/general/Object_id.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CScore_Base::C_Value::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CScore_Base::C_Value::ResetSelection(void)
{
    m_choice = e_not_set;
}

void CScore_Base::C_Value::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* )
{
    switch ( index ) {
    case e_Real:
        m_Real = 0;
        break;
    case e_Int:
        m_Int = 0;
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CScore_Base::C_Value::sm_SelectionNames[] = {
    "not set",
    "real",
    "int"
};

NCBI_NS_STD::string CScore_Base::C_Value::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CScore_Base::C_Value::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CScore_Base::C_Value)
{
    SET_INTERNAL_NAME("Score", "value");
    SET_CHOICE_MODULE("NCBI-Seqalign");
    ADD_NAMED_STD_CHOICE_VARIANT("real", m_Real);
    ADD_NAMED_STD_CHOICE_VARIANT("int", m_Int);
}
END_CHOICE_INFO

// constructor
CScore_Base::C_Value::C_Value(void)
    : m_choice(e_not_set)
{
}

// destructor
CScore_Base::C_Value::~C_Value(void)
{
    Reset();
}


void CScore_Base::ResetId(void)
{
    m_Id.Reset();
}

void CScore_Base::SetId(CScore_Base::TId& value)
{
    m_Id.Reset(&value);
}

CScore_Base::TId& CScore_Base::SetId(void)
{
    if ( !m_Id )
        m_Id.Reset(new ncbi::objects::CObject_id());
    return (*m_Id);
}

void CScore_Base::ResetValue(void)
{
    m_Value.Reset();
    m_set_State[0] &= ~0xc;
}

void CScore_Base::Reset(void)
{
    ResetId();
    ResetValue();
}

void CScore_Base::DoNotDeleteThisObject(void)
{
    CSerialObject::DoNotDeleteThisObject();
    m_Value.DoNotDeleteThisObject();
}

BEGIN_NAMED_BASE_CLASS_INFO("Score", CScore)
{
    SET_CLASS_MODULE("NCBI-Seqalign");
    ADD_NAMED_REF_MEMBER("id", m_Id, CObject_id)->SetOptional();
    ADD_NAMED_MEMBER("value", m_Value, CLASS, (C_Value))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CScore_Base::CScore_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CScore_Base::~CScore_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

