/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqalign.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqalign/Spliced_exon_chunk.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSpliced_exon_chunk_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CSpliced_exon_chunk_Base::ResetSelection(void)
{
    m_choice = e_not_set;
}

void CSpliced_exon_chunk_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* )
{
    switch ( index ) {
    case e_Match:
        m_Match = 0;
        break;
    case e_Mismatch:
        m_Mismatch = 0;
        break;
    case e_Diag:
        m_Diag = 0;
        break;
    case e_Product_ins:
        m_Product_ins = 0;
        break;
    case e_Genomic_ins:
        m_Genomic_ins = 0;
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CSpliced_exon_chunk_Base::sm_SelectionNames[] = {
    "not set",
    "match",
    "mismatch",
    "diag",
    "product-ins",
    "genomic-ins"
};

NCBI_NS_STD::string CSpliced_exon_chunk_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CSpliced_exon_chunk_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Spliced-exon-chunk", CSpliced_exon_chunk)
{
    SET_CHOICE_MODULE("NCBI-Seqalign");
    ADD_NAMED_STD_CHOICE_VARIANT("match", m_Match);
    ADD_NAMED_STD_CHOICE_VARIANT("mismatch", m_Mismatch);
    ADD_NAMED_STD_CHOICE_VARIANT("diag", m_Diag);
    ADD_NAMED_STD_CHOICE_VARIANT("product-ins", m_Product_ins);
    ADD_NAMED_STD_CHOICE_VARIANT("genomic-ins", m_Genomic_ins);
}
END_CHOICE_INFO

// constructor
CSpliced_exon_chunk_Base::CSpliced_exon_chunk_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CSpliced_exon_chunk_Base::~CSpliced_exon_chunk_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

