/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqalign.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqalign/Std_seg.hpp>
#include <objects/seqalign/Score.hpp>
#include <objects/seqloc/Seq_id.hpp>
#include <objects/seqloc/Seq_loc.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CStd_seg_Base::ResetIds(void)
{
    m_Ids.clear();
    m_set_State[0] &= ~0xc;
}

void CStd_seg_Base::ResetLoc(void)
{
    m_Loc.clear();
    m_set_State[0] &= ~0x30;
}

void CStd_seg_Base::ResetScores(void)
{
    m_Scores.clear();
    m_set_State[0] &= ~0xc0;
}

void CStd_seg_Base::Reset(void)
{
    ResetDim();
    ResetIds();
    ResetLoc();
    ResetScores();
}

BEGIN_NAMED_BASE_CLASS_INFO("Std-seg", CStd_seg)
{
    SET_CLASS_MODULE("NCBI-Seqalign");
    ADD_NAMED_STD_MEMBER("dim", m_Dim)->SetDefault(new TDim(2))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("ids", m_Ids, STL_vector, (STL_CRef, (CLASS, (CSeq_id))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("loc", m_Loc, STL_vector, (STL_CRef, (CLASS, (CSeq_loc))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("scores", m_Scores, STL_vector_set, (STL_CRef, (CLASS, (CScore))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CStd_seg_Base::CStd_seg_Base(void)
    : m_Dim(2)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CStd_seg_Base::~CStd_seg_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

