/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqblock.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqblock/PRF_block.hpp>
#include <objects/seqblock/PRF_ExtraSrc.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CPRF_block_Base::ResetExtra_src(void)
{
    m_Extra_src.Reset();
}

void CPRF_block_Base::SetExtra_src(CPRF_block_Base::TExtra_src& value)
{
    m_Extra_src.Reset(&value);
}

CPRF_block_Base::TExtra_src& CPRF_block_Base::SetExtra_src(void)
{
    if ( !m_Extra_src )
        m_Extra_src.Reset(new ncbi::objects::CPRF_ExtraSrc());
    return (*m_Extra_src);
}

void CPRF_block_Base::ResetKeywords(void)
{
    m_Keywords.clear();
    m_set_State[0] &= ~0xc;
}

void CPRF_block_Base::Reset(void)
{
    ResetExtra_src();
    ResetKeywords();
}

BEGIN_NAMED_BASE_CLASS_INFO("PRF-block", CPRF_block)
{
    SET_CLASS_MODULE("PRF-General");
    ADD_NAMED_REF_MEMBER("extra-src", m_Extra_src, CPRF_ExtraSrc)->SetOptional();
    ADD_NAMED_MEMBER("keywords", m_Keywords, STL_list, (STD, (string)))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CPRF_block_Base::CPRF_block_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CPRF_block_Base::~CPRF_block_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

