/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqcode.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqcode/Seq_code_set.hpp>
#include <objects/seqcode/Seq_code_table.hpp>
#include <objects/seqcode/Seq_map_table.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSeq_code_set_Base::ResetCodes(void)
{
    m_Codes.clear();
    m_set_State[0] &= ~0x3;
}

void CSeq_code_set_Base::ResetMaps(void)
{
    m_Maps.clear();
    m_set_State[0] &= ~0xc;
}

void CSeq_code_set_Base::Reset(void)
{
    ResetCodes();
    ResetMaps();
}

BEGIN_NAMED_BASE_CLASS_INFO("Seq-code-set", CSeq_code_set)
{
    SET_CLASS_MODULE("NCBI-SeqCode");
    ADD_NAMED_MEMBER("codes", m_Codes, STL_list_set, (STL_CRef, (CLASS, (CSeq_code_table))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("maps", m_Maps, STL_list_set, (STL_CRef, (CLASS, (CSeq_map_table))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CSeq_code_set_Base::CSeq_code_set_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CSeq_code_set_Base::~CSeq_code_set_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

