/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqcode.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqcode/Seq_code_table.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSeq_code_table_Base::C_E_Table::ResetSymbol(void)
{
    m_Symbol.erase();
    m_set_State[0] &= ~0x3;
}

void CSeq_code_table_Base::C_E_Table::ResetName(void)
{
    m_Name.erase();
    m_set_State[0] &= ~0xc;
}

void CSeq_code_table_Base::C_E_Table::Reset(void)
{
    ResetSymbol();
    ResetName();
}

BEGIN_NAMED_CLASS_INFO("", CSeq_code_table_Base::C_E_Table)
{
    SET_INTERNAL_NAME("Seq-code-table.table", "E");
    SET_CLASS_MODULE("NCBI-SeqCode");
    ADD_NAMED_STD_MEMBER("symbol", m_Symbol)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("name", m_Name)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CSeq_code_table_Base::C_E_Table::C_E_Table(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CSeq_code_table_Base::C_E_Table::~C_E_Table(void)
{
}


void CSeq_code_table_Base::ResetTable(void)
{
    m_Table.clear();
    m_set_State[0] &= ~0x300;
}

void CSeq_code_table_Base::ResetComps(void)
{
    m_Comps.clear();
    m_set_State[0] &= ~0xc00;
}

void CSeq_code_table_Base::Reset(void)
{
    ResetCode();
    ResetNum();
    ResetOne_letter();
    ResetStart_at();
    ResetTable();
    ResetComps();
}

BEGIN_NAMED_BASE_CLASS_INFO("Seq-code-table", CSeq_code_table)
{
    SET_CLASS_MODULE("NCBI-SeqCode");
    ADD_NAMED_ENUM_MEMBER("code", m_Code, ESeq_code_type)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("num", m_Num)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("one-letter", m_One_letter)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("start-at", m_Start_at)->SetDefault(new TStart_at(0))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("table", m_Table, STL_list, (STL_CRef, (CLASS, (C_E_Table))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("comps", m_Comps, STL_list, (STD, (int)))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CSeq_code_table_Base::CSeq_code_table_Base(void)
    : m_Code((ncbi::objects::ESeq_code_type)(0)), m_Num(0), m_One_letter(0), m_Start_at(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CSeq_code_table_Base::~CSeq_code_table_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

