/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqedit.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqedit/SeqEdit_Id.hpp>
#include <objects/seqloc/Seq_id.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSeqEdit_Id_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CSeqEdit_Id_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Bioseq_id:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CSeqEdit_Id_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Bioseq_id:
        (m_object = new(pool) ncbi::objects::CSeq_id())->AddReference();
        break;
    case e_Bioseqset_id:
        m_Bioseqset_id = 0;
        break;
    case e_Unique_num:
        m_Unique_num = 0;
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CSeqEdit_Id_Base::sm_SelectionNames[] = {
    "not set",
    "bioseq-id",
    "bioseqset-id",
    "unique-num"
};

NCBI_NS_STD::string CSeqEdit_Id_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CSeqEdit_Id_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CSeqEdit_Id_Base::TBioseq_id& CSeqEdit_Id_Base::GetBioseq_id(void) const
{
    CheckSelected(e_Bioseq_id);
    return *static_cast<const TBioseq_id*>(m_object);
}

CSeqEdit_Id_Base::TBioseq_id& CSeqEdit_Id_Base::SetBioseq_id(void)
{
    Select(e_Bioseq_id, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TBioseq_id*>(m_object);
}

void CSeqEdit_Id_Base::SetBioseq_id(CSeqEdit_Id_Base::TBioseq_id& value)
{
    TBioseq_id* ptr = &value;
    if ( m_choice != e_Bioseq_id || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Bioseq_id;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("SeqEdit-Id", CSeqEdit_Id)
{
    SET_CHOICE_MODULE("NCBI-SeqEdit");
    ADD_NAMED_REF_CHOICE_VARIANT("bioseq-id", m_object, CSeq_id);
    ADD_NAMED_STD_CHOICE_VARIANT("bioseqset-id", m_Bioseqset_id);
    ADD_NAMED_STD_CHOICE_VARIANT("unique-num", m_Unique_num);
}
END_CHOICE_INFO

// constructor
CSeqEdit_Id_Base::CSeqEdit_Id_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CSeqEdit_Id_Base::~CSeqEdit_Id_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

