/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqfeat.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqfeat/ModelEvidenceSupport.hpp>
#include <objects/general/Dbtag.hpp>
#include <objects/seqfeat/ModelEvidenceItem.hpp>
#include <objects/seqloc/Seq_id.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CModelEvidenceSupport_Base::ResetMethod(void)
{
    m_Method.erase();
    m_set_State[0] &= ~0x3;
}

void CModelEvidenceSupport_Base::ResetMrna(void)
{
    m_Mrna.clear();
    m_set_State[0] &= ~0xc;
}

void CModelEvidenceSupport_Base::ResetEst(void)
{
    m_Est.clear();
    m_set_State[0] &= ~0x30;
}

void CModelEvidenceSupport_Base::ResetProtein(void)
{
    m_Protein.clear();
    m_set_State[0] &= ~0xc0;
}

void CModelEvidenceSupport_Base::ResetIdentification(void)
{
    m_Identification.Reset();
}

void CModelEvidenceSupport_Base::SetIdentification(CModelEvidenceSupport_Base::TIdentification& value)
{
    m_Identification.Reset(&value);
}

CModelEvidenceSupport_Base::TIdentification& CModelEvidenceSupport_Base::SetIdentification(void)
{
    if ( !m_Identification )
        m_Identification.Reset(new ncbi::objects::CSeq_id());
    return (*m_Identification);
}

void CModelEvidenceSupport_Base::ResetDbxref(void)
{
    m_Dbxref.clear();
    m_set_State[0] &= ~0xc00;
}

void CModelEvidenceSupport_Base::Reset(void)
{
    ResetMethod();
    ResetMrna();
    ResetEst();
    ResetProtein();
    ResetIdentification();
    ResetDbxref();
    ResetExon_count();
    ResetExon_length();
    ResetFull_length();
    ResetSupports_all_exon_combo();
}

BEGIN_NAMED_BASE_CLASS_INFO("ModelEvidenceSupport", CModelEvidenceSupport)
{
    SET_CLASS_MODULE("NCBI-Seqfeat");
    ADD_NAMED_STD_MEMBER("method", m_Method)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("mrna", m_Mrna, STL_list_set, (STL_CRef, (CLASS, (CModelEvidenceItem))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("est", m_Est, STL_list_set, (STL_CRef, (CLASS, (CModelEvidenceItem))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("protein", m_Protein, STL_list_set, (STL_CRef, (CLASS, (CModelEvidenceItem))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("identification", m_Identification, CSeq_id)->SetOptional();
    ADD_NAMED_MEMBER("dbxref", m_Dbxref, STL_list_set, (STL_CRef, (CLASS, (CDbtag))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("exon-count", m_Exon_count)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("exon-length", m_Exon_length)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("full-length", m_Full_length)->SetDefault(new TFull_length(false))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("supports-all-exon-combo", m_Supports_all_exon_combo)->SetDefault(new TSupports_all_exon_combo(false))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CModelEvidenceSupport_Base::CModelEvidenceSupport_Base(void)
    : m_Exon_count(0), m_Exon_length(0), m_Full_length(false), m_Supports_all_exon_combo(false)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CModelEvidenceSupport_Base::~CModelEvidenceSupport_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

