/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqfeat.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqfeat/Org_ref.hpp>
#include <objects/general/Dbtag.hpp>
#include <objects/seqfeat/OrgName.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void COrg_ref_Base::ResetTaxname(void)
{
    m_Taxname.erase();
    m_set_State[0] &= ~0x3;
}

void COrg_ref_Base::ResetCommon(void)
{
    m_Common.erase();
    m_set_State[0] &= ~0xc;
}

void COrg_ref_Base::ResetMod(void)
{
    m_Mod.clear();
    m_set_State[0] &= ~0x30;
}

void COrg_ref_Base::ResetDb(void)
{
    m_Db.clear();
    m_set_State[0] &= ~0xc0;
}

void COrg_ref_Base::ResetSyn(void)
{
    m_Syn.clear();
    m_set_State[0] &= ~0x300;
}

void COrg_ref_Base::ResetOrgname(void)
{
    m_Orgname.Reset();
}

void COrg_ref_Base::SetOrgname(COrg_ref_Base::TOrgname& value)
{
    m_Orgname.Reset(&value);
}

COrg_ref_Base::TOrgname& COrg_ref_Base::SetOrgname(void)
{
    if ( !m_Orgname )
        m_Orgname.Reset(new ncbi::objects::COrgName());
    return (*m_Orgname);
}

void COrg_ref_Base::Reset(void)
{
    ResetTaxname();
    ResetCommon();
    ResetMod();
    ResetDb();
    ResetSyn();
    ResetOrgname();
}

BEGIN_NAMED_BASE_CLASS_INFO("Org-ref", COrg_ref)
{
    SET_CLASS_MODULE("NCBI-Organism");
    ADD_NAMED_STD_MEMBER("taxname", m_Taxname)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("common", m_Common)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("mod", m_Mod, STL_list_set, (STD, (string)))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("db", m_Db, STL_vector_set, (STL_CRef, (CLASS, (CDbtag))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("syn", m_Syn, STL_list_set, (STD, (string)))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("orgname", m_Orgname, COrgName)->SetOptional();
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
COrg_ref_Base::COrg_ref_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
COrg_ref_Base::~COrg_ref_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

