/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqfeat.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqfeat/PCRReaction.hpp>
#include <objects/seqfeat/PCRPrimerSet.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CPCRReaction_Base::ResetForward(void)
{
    m_Forward.Reset();
}

void CPCRReaction_Base::SetForward(CPCRReaction_Base::TForward& value)
{
    m_Forward.Reset(&value);
}

CPCRReaction_Base::TForward& CPCRReaction_Base::SetForward(void)
{
    if ( !m_Forward )
        m_Forward.Reset(new ncbi::objects::CPCRPrimerSet());
    return (*m_Forward);
}

void CPCRReaction_Base::ResetReverse(void)
{
    m_Reverse.Reset();
}

void CPCRReaction_Base::SetReverse(CPCRReaction_Base::TReverse& value)
{
    m_Reverse.Reset(&value);
}

CPCRReaction_Base::TReverse& CPCRReaction_Base::SetReverse(void)
{
    if ( !m_Reverse )
        m_Reverse.Reset(new ncbi::objects::CPCRPrimerSet());
    return (*m_Reverse);
}

void CPCRReaction_Base::Reset(void)
{
    ResetForward();
    ResetReverse();
}

BEGIN_NAMED_BASE_CLASS_INFO("PCRReaction", CPCRReaction)
{
    SET_CLASS_MODULE("NCBI-BioSource");
    ADD_NAMED_REF_MEMBER("forward", m_Forward, CPCRPrimerSet)->SetOptional();
    ADD_NAMED_REF_MEMBER("reverse", m_Reverse, CPCRPrimerSet)->SetOptional();
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CPCRReaction_Base::CPCRReaction_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CPCRReaction_Base::~CPCRReaction_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

