/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqfeat.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqfeat/SeqFeatSupport.hpp>
#include <objects/seqfeat/ExperimentSupport.hpp>
#include <objects/seqfeat/InferenceSupport.hpp>
#include <objects/seqfeat/ModelEvidenceSupport.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSeqFeatSupport_Base::ResetExperiment(void)
{
    m_Experiment.clear();
    m_set_State[0] &= ~0x3;
}

void CSeqFeatSupport_Base::ResetInference(void)
{
    m_Inference.clear();
    m_set_State[0] &= ~0xc;
}

void CSeqFeatSupport_Base::ResetModel_evidence(void)
{
    m_Model_evidence.clear();
    m_set_State[0] &= ~0x30;
}

void CSeqFeatSupport_Base::Reset(void)
{
    ResetExperiment();
    ResetInference();
    ResetModel_evidence();
}

BEGIN_NAMED_BASE_CLASS_INFO("SeqFeatSupport", CSeqFeatSupport)
{
    SET_CLASS_MODULE("NCBI-Seqfeat");
    ADD_NAMED_MEMBER("experiment", m_Experiment, STL_list_set, (STL_CRef, (CLASS, (CExperimentSupport))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("inference", m_Inference, STL_list_set, (STL_CRef, (CLASS, (CInferenceSupport))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("model-evidence", m_Model_evidence, STL_list_set, (STL_CRef, (CLASS, (CModelEvidenceSupport))))->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CSeqFeatSupport_Base::CSeqFeatSupport_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CSeqFeatSupport_Base::~CSeqFeatSupport_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

