/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqloc.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqloc/Seq_bond.hpp>
#include <objects/seqloc/Seq_point.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSeq_bond_Base::ResetA(void)
{
    if ( !m_A ) {
        m_A.Reset(new TA());
        return;
    }
    (*m_A).Reset();
}

void CSeq_bond_Base::SetA(CSeq_bond_Base::TA& value)
{
    m_A.Reset(&value);
}

void CSeq_bond_Base::ResetB(void)
{
    m_B.Reset();
}

void CSeq_bond_Base::SetB(CSeq_bond_Base::TB& value)
{
    m_B.Reset(&value);
}

CSeq_bond_Base::TB& CSeq_bond_Base::SetB(void)
{
    if ( !m_B )
        m_B.Reset(new ncbi::objects::CSeq_point());
    return (*m_B);
}

void CSeq_bond_Base::Reset(void)
{
    ResetA();
    ResetB();
}

BEGIN_NAMED_BASE_CLASS_INFO("Seq-bond", CSeq_bond)
{
    SET_CLASS_MODULE("NCBI-Seqloc");
    ADD_NAMED_REF_MEMBER("a", m_A, CSeq_point);
    ADD_NAMED_REF_MEMBER("b", m_B, CSeq_point)->SetOptional();
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CSeq_bond_Base::CSeq_bond_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetA();
    }
}

// destructor
CSeq_bond_Base::~CSeq_bond_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

