/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqset.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqset/Seq_entry.hpp>
#include <objects/seq/Bioseq.hpp>
#include <objects/seqset/Bioseq_set.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSeq_entry_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CSeq_entry_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Seq:
    case e_Set:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CSeq_entry_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Seq:
        (m_object = new(pool) ncbi::objects::CBioseq())->AddReference();
        break;
    case e_Set:
        (m_object = new(pool) ncbi::objects::CBioseq_set())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CSeq_entry_Base::sm_SelectionNames[] = {
    "not set",
    "seq",
    "set"
};

NCBI_NS_STD::string CSeq_entry_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CSeq_entry_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CSeq_entry_Base::TSeq& CSeq_entry_Base::GetSeq(void) const
{
    CheckSelected(e_Seq);
    return *static_cast<const TSeq*>(m_object);
}

CSeq_entry_Base::TSeq& CSeq_entry_Base::SetSeq(void)
{
    Select(e_Seq, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSeq*>(m_object);
}

void CSeq_entry_Base::SetSeq(CSeq_entry_Base::TSeq& value)
{
    TSeq* ptr = &value;
    if ( m_choice != e_Seq || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Seq;
    }
}

const CSeq_entry_Base::TSet& CSeq_entry_Base::GetSet(void) const
{
    CheckSelected(e_Set);
    return *static_cast<const TSet*>(m_object);
}

CSeq_entry_Base::TSet& CSeq_entry_Base::SetSet(void)
{
    Select(e_Set, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSet*>(m_object);
}

void CSeq_entry_Base::SetSet(CSeq_entry_Base::TSet& value)
{
    TSet* ptr = &value;
    if ( m_choice != e_Set || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Set;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Seq-entry", CSeq_entry)
{
    SET_CHOICE_MODULE("NCBI-Seqset");
    ADD_NAMED_REF_CHOICE_VARIANT("seq", m_object, CBioseq);
    ADD_NAMED_REF_CHOICE_VARIANT("set", m_object, CBioseq_set);
}
END_CHOICE_INFO

// constructor
CSeq_entry_Base::CSeq_entry_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CSeq_entry_Base::~CSeq_entry_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

