/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqsplit.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqsplit/ID2S_Bioseq_Ids.hpp>
#include <objects/seqloc/Seq_id.hpp>
#include <objects/seqsplit/ID2S_Gi_Range.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CID2S_Bioseq_Ids_Base::C_E::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CID2S_Bioseq_Ids_Base::C_E::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Seq_id:
    case e_Gi_range:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CID2S_Bioseq_Ids_Base::C_E::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Gi:
        m_Gi = 0;
        break;
    case e_Seq_id:
        (m_object = new(pool) ncbi::objects::CSeq_id())->AddReference();
        break;
    case e_Gi_range:
        (m_object = new(pool) ncbi::objects::CID2S_Gi_Range())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CID2S_Bioseq_Ids_Base::C_E::sm_SelectionNames[] = {
    "not set",
    "gi",
    "seq-id",
    "gi-range"
};

NCBI_NS_STD::string CID2S_Bioseq_Ids_Base::C_E::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CID2S_Bioseq_Ids_Base::C_E::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CID2S_Bioseq_Ids_Base::C_E::TSeq_id& CID2S_Bioseq_Ids_Base::C_E::GetSeq_id(void) const
{
    CheckSelected(e_Seq_id);
    return *static_cast<const TSeq_id*>(m_object);
}

CID2S_Bioseq_Ids_Base::C_E::TSeq_id& CID2S_Bioseq_Ids_Base::C_E::SetSeq_id(void)
{
    Select(e_Seq_id, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSeq_id*>(m_object);
}

void CID2S_Bioseq_Ids_Base::C_E::SetSeq_id(CID2S_Bioseq_Ids_Base::C_E::TSeq_id& value)
{
    TSeq_id* ptr = &value;
    if ( m_choice != e_Seq_id || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Seq_id;
    }
}

const CID2S_Bioseq_Ids_Base::C_E::TGi_range& CID2S_Bioseq_Ids_Base::C_E::GetGi_range(void) const
{
    CheckSelected(e_Gi_range);
    return *static_cast<const TGi_range*>(m_object);
}

CID2S_Bioseq_Ids_Base::C_E::TGi_range& CID2S_Bioseq_Ids_Base::C_E::SetGi_range(void)
{
    Select(e_Gi_range, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TGi_range*>(m_object);
}

void CID2S_Bioseq_Ids_Base::C_E::SetGi_range(CID2S_Bioseq_Ids_Base::C_E::TGi_range& value)
{
    TGi_range* ptr = &value;
    if ( m_choice != e_Gi_range || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Gi_range;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CID2S_Bioseq_Ids_Base::C_E)
{
    SET_INTERNAL_NAME("ID2S-Bioseq-Ids", "E");
    SET_CHOICE_MODULE("NCBI-Seq-split");
    ADD_NAMED_STD_CHOICE_VARIANT("gi", m_Gi);
    ADD_NAMED_REF_CHOICE_VARIANT("seq-id", m_object, CSeq_id);
    ADD_NAMED_REF_CHOICE_VARIANT("gi-range", m_object, CID2S_Gi_Range);
}
END_CHOICE_INFO

// constructor
CID2S_Bioseq_Ids_Base::C_E::C_E(void)
    : m_choice(e_not_set)
{
}

// destructor
CID2S_Bioseq_Ids_Base::C_E::~C_E(void)
{
    Reset();
}


void CID2S_Bioseq_Ids_Base::Reset(void)
{
    m_data.clear();
    m_set_State[0] &= ~0x3;
}

BEGIN_NAMED_BASE_IMPLICIT_CLASS_INFO("ID2S-Bioseq-Ids", CID2S_Bioseq_Ids)
{
    SET_CLASS_MODULE("NCBI-Seq-split");
    ADD_NAMED_MEMBER("", m_data, STL_list_set, (STL_CRef, (CLASS, (C_E))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CID2S_Bioseq_Ids_Base::CID2S_Bioseq_Ids_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CID2S_Bioseq_Ids_Base::~CID2S_Bioseq_Ids_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

