/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'taxon1.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/taxon1/Taxon1_data.hpp>
#include <objects/seqfeat/Org_ref.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CTaxon1_data_Base::ResetOrg(void)
{
    m_Org.Reset();
}

void CTaxon1_data_Base::SetOrg(CTaxon1_data_Base::TOrg& value)
{
    m_Org.Reset(&value);
}

CTaxon1_data_Base::TOrg& CTaxon1_data_Base::SetOrg(void)
{
    if ( !m_Org )
        m_Org.Reset(new ncbi::objects::COrg_ref());
    return (*m_Org);
}

void CTaxon1_data_Base::ResetDiv(void)
{
    m_Div.erase();
    m_set_State[0] &= ~0xc;
}

void CTaxon1_data_Base::ResetEmbl_code(void)
{
    m_Embl_code.erase();
    m_set_State[0] &= ~0x30;
}

void CTaxon1_data_Base::Reset(void)
{
    ResetOrg();
    ResetDiv();
    ResetEmbl_code();
    ResetIs_species_level();
}

BEGIN_NAMED_BASE_CLASS_INFO("Taxon1-data", CTaxon1_data)
{
    SET_CLASS_MODULE("NCBI-Taxon1");
    ADD_NAMED_REF_MEMBER("org", m_Org, COrg_ref)->SetOptional();
    ADD_NAMED_STD_MEMBER("div", m_Div)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("embl-code", m_Embl_code)->SetOptional()->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("is-species-level", m_Is_species_level)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CTaxon1_data_Base::CTaxon1_data_Base(void)
    : m_Is_species_level(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CTaxon1_data_Base::~CTaxon1_data_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

